<?php

add_action( 'admin_init', 'throne_buddy_compatibility' );

function throne_buddy_compatibility() {

	if ( is_admin() && current_user_can( 'activate_plugins' ) && !throne_buddy_is_theme_active() ) {

		add_action( 'admin_notices', 'throne_buddy_compatibility_notice' );

		deactivate_plugins( THRONE_BUDDY_BASENAME );

		if ( isset( $_GET['activate'] ) ) {
			unset( $_GET['activate'] );
		}
	}
}

function throne_buddy_compatibility_notice() {
	echo '<div class="notice notice-warning"><p><strong>Note:</strong> Throne Buddy plugin has been deactivated as it requires Throne Theme to be active.</p></div>';
}

function throne_buddy_is_theme_active() {
	return defined( 'THRONE_THEME_VERSION' );
}

?>
