<?php

	/* Get option values to generate dynamic styles */
	
	$main_font = thr_get_option('main_font');
	$h_font = thr_get_option('h_font');

	$native_fonts = thr_get_native_fonts();



	//Body
	$color_body_bg = thr_hex2rgba(thr_get_option('color_body_bg'),thr_get_option('body_bg_opacity'));
	$color_body_txt = thr_get_option('color_body_txt');
	$body_bg_pat = thr_get_option_media('body_bg_pat');
	$color_body_boxed_bg = thr_get_option('color_body_boxed_bg');
	$body_margin = thr_get_option('body_top_margin');
	$body_top_margin = isset($body_margin['padding-bottom']) ? absint( $body_margin['padding-bottom']).'px' : 0;

	//Content
	$color_content_bg = thr_get_option('main_content_style') == 'default' ? 'transparent' : thr_get_option('color_content_bg');
	$color_content_txt = thr_get_option('color_content_txt');
	$color_content_txt_h = thr_get_option('color_content_txt_h');
	$color_content_meta = thr_get_option('color_content_meta');
	$color_content_acc = thr_get_option('color_content_acc');
	$color_content_arch_h = thr_get_option('color_content_arch_h');
	



?>

.editor-styles-wrapper,
.editor-styles-wrapper .wp-block{
	<?php if(!in_array($main_font['font-family'], $native_fonts)): ?>
	font-family: '<?php echo wp_kses_post( $main_font['font-family'] ); ?>';
	<?php else: ?>
	font-family: <?php echo wp_kses_post( $main_font['font-family'] ); ?>;
	<?php endif; ?>
	font-weight: <?php echo esc_attr( $main_font['font-weight'] ); ?>;
	<?php if(isset($main_font['font-style']) && !empty($main_font['font-style'])):?>
	font-style: <?php echo esc_attr( $main_font['font-style'] ); ?>;
	<?php endif; ?>
}
.editor-styles-wrapper h1, 
.editor-styles-wrapper.edit-post-visual-editor .editor-post-title__block .editor-post-title__input,
.editor-styles-wrapper h2, 
.editor-styles-wrapper h3, 
.editor-styles-wrapper h4,
.editor-styles-wrapper h5,
.editor-styles-wrapper h6{
	<?php if(!in_array($h_font['font-family'], $native_fonts)): ?>
	font-family: '<?php echo wp_kses_post( $h_font['font-family'] ); ?>';
	<?php else: ?>
	font-family: <?php echo wp_kses_post( $h_font['font-family'] ); ?>;
	<?php endif; ?>
	font-weight: <?php echo esc_attr( $h_font['font-weight'] ); ?>;	
	<?php if(isset($h_font['font-style']) && !empty($h_font['font-style'])):?>
	font-style: <?php echo esc_attr( $h_font['font-style'] ); ?>;
	<?php endif; ?>
}
.editor-styles-wrapper{
	background-color: <?php echo esc_attr( $color_content_bg ); ?>;
}
.editor-styles-wrapper h1, 
.editor-styles-wrapper.edit-post-visual-editor .editor-post-title__block .editor-post-title__input,
.editor-styles-wrapper h2, 
.editor-styles-wrapper h3, 
.editor-styles-wrapper h4,
.editor-styles-wrapper h5,
.editor-styles-wrapper h6{
	color: <?php echo esc_attr( $color_content_txt_h ); ?>;
}
.editor-styles-wrapper{
	color: <?php echo esc_attr( $color_content_txt ); ?>;
}
.editor-styles-wrapper a{
	color: <?php echo esc_attr( $color_content_acc ); ?>;
}
.editor-styles-wrapper.edit-post-visual-editor .editor-post-title__block .editor-post-title__input{
	font-size: 45px;
    line-height: 55px;	
}

.is-style-solid-color,
.wp-block-pullquote.is-style-solid-color{
	background-color: <?php echo esc_attr( $color_content_acc ); ?>;	
	color: <?php echo esc_attr( $color_content_bg ); ?>;	
}

blockquote{
	border-color: <?php echo esc_attr( $color_content_acc ); ?>;
}
blockquote.wp-block-quote,
.wp-block-quote.is-style-large{
	border-left: 2px solid <?php echo esc_attr( $color_content_acc ); ?>;	
}

.editor-styles-wrapper .wp-block[data-align="left"] .wp-block-pullquote, 
.editor-styles-wrapper .wp-block[data-align="right"] .wp-block-pullquote {
    border-bottom: 2px solid <?php echo esc_attr( $color_content_txt ); ?>;
    border-top: 2px solid <?php echo esc_attr( $color_content_txt ); ?>;
    border-left: none;
}
.editor-styles-wrapper .wp-block[data-align="left"] .wp-block-pullquote.is-style-solid-color, 
.editor-styles-wrapper .wp-block[data-align="right"] .wp-block-pullquote.is-style-solid-color{
	border-top: none;
	border-bottom: none;
}

.editor-styles-wrapper .wp-block[data-align="full"] .wp-block-pullquote blockquote,
.editor-styles-wrapper .wp-block[data-align="wide"] .wp-block-pullquote blockquote{
	max-width: 640px;
    margin-left: auto;
    margin-right: auto;
}

.wp-block-button__link{
	background: <?php echo esc_attr( $color_content_acc ); ?>;
}

/* Code and preformated*/

.wp-block-code,
.editor-styles-wrapper pre{
	border: 1px solid rgba(0,0,0,0.1);
	background: #efefef;
	color: <?php echo esc_attr( $color_content_txt ); ?>;
}

.wp-block-code .editor-plain-text,
.wp-block-code .editor-plain-text:focus,
.wp-block-code .editor-plain-text:active{
	background: #efefef;
	color: <?php echo esc_attr( $color_content_txt ); ?>;
}

.wp-block-separator{
	border-color: <?php echo thr_hex2rgba($color_content_txt, 0.3); ?>;
	border-bottom-width: 1px;	
}

/* Table */

.editor-styles-wrapper .wp-block-table:not(.is-style-stripes) td, 
.editor-styles-wrapper .wp-block-table:not(.is-style-stripes) th,
.wp-block-calendar tbody td, .wp-block-calendar th{
	border: 1px solid rgba(0,0,0,0.1);
}
.editor-styles-wrapper .wp-block-table:not(.is-style-stripes) td{
	border-right: none;
}


/* Content width - page*/

.edit-post-visual-editor .wp-block{
	max-width: 700px;
}
.edit-post-visual-editor .wp-block{
    max-width: 700px;
}
.edit-post-visual-editor .wp-block[data-align="wide"],
.edit-post-visual-editor .wp-block[data-align="wide"]{
	max-width: 700px;
}
.edit-post-visual-editor .wp-block[data-align="full"],
.edit-post-visual-editor .wp-block[data-align="full"]{
	max-width: none;
}


.wp-block-search .wp-block-search__button {
	background: <?php echo esc_attr( $color_content_acc ); ?>;
	color: <?php echo esc_attr( $color_content_bg); ?>;
	border: none;
	box-shadow: none;
}
.editor-styles-wrapper .wp-block-search__input{
	border: 1px solid <?php echo thr_hex2rgba($color_content_txt, 0.1); ?>;
	border-radius:0;
}






<?php
  /* Apply uppercase options */
	$text_upper = thr_get_option('text_upper');
	if(!empty($text_upper)){
		foreach($text_upper as $text_class => $val){
			if($val)
            echo '.editor-styles-wrapper '. str_replace(', ',', .editor-styles-wrapper ', $text_class .'{text-transform: uppercase;}' );
		}
	}
?>

