(function($) {

    "use strict";

    $(document).ready(function() {

        /* Metabox switch - do not show every metabox for every template */

        var thr_is_gutenberg = thr_js_settings.is_gutenberg && typeof wp.apiFetch !== 'undefined';

        var thr_template_selector = thr_js_settings.is_gutenberg ? '.editor-page-attributes__template select' : '#page_template';

        if (thr_is_gutenberg) {

            var post_id = $('#post_ID').val();

            wp.apiFetch({ path: '/wp/v2/pages/' + post_id, method: 'GET' }).then(function(obj) {
                thr_template_metaboxes(false, obj.template);
            });

        } else {
            thr_template_metaboxes(false);
        }

        $('body').on('change', thr_template_selector, function(e) {
            thr_template_metaboxes(true);
        });

        function thr_template_metaboxes(scroll, t) {

            var template = t ? t : $(thr_template_selector).val();

            if (template == 'default' || is_empty(template)) {
                $('#thr_sidebar').fadeIn(300);
                $('#thr_layout').fadeIn(300);
                $('#thr_author').fadeOut(300);
            }

            if (template == 'template-home.php') {
                $('#thr_sidebar').fadeIn(300);
                $('#thr_layout').fadeOut(300);
                $('#thr_author').fadeOut(300);
            }

            if (template == 'template-authors.php') {
                $('#thr_layout').fadeIn(300);
                $('#thr_sidebar').fadeIn(300);
                $('#thr_author').fadeIn(300);
            }

        }
    });

    function is_empty(value) {
        return typeof value == 'string' && !value.trim() || typeof value == 'undefined' || value === null;
    }

})(jQuery);