(function($) {

    "use strict";

    $(document).ready(function() {


        /* RESPONSIVE NAVIGATION */

        $('#nav-open-btn').sidr({
            name: 'sidr-existing-content',
            source: '#nav',
            speed: 100
        });

        $('#nav-open-btn').on('touchstart click', function(e) {
            e.stopPropagation();
            e.preventDefault();
            if (!$(this).hasClass('nav-open')) {
                $.sidr('open', 'sidr-existing-content');
                $(this).addClass('nav-open');
            } else {
                $.sidr('close', 'sidr-existing-content');
                $(this).removeClass('nav-open');
            }
        });
        $('.sidr ul li').each(function() {
            if ($(this).hasClass('sidr-class-menu-item-has-children')) {
                $(this).append('<span class="thr_menu_parent fa fa-angle-down"></span>');
            }
        });

        if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
            $('.thr_menu_parent').on('touchstart', function(e) {
                $(this).prev().toggle();
                $(this).parent().toggleClass('sidr-class-current_page_item');
            });

            $('.soc_sharing').on('click', function() {
                $(this).toggleClass('soc_active');
            });

        } else {
            $('.thr_menu_parent').on('click', function(e) {
                $(this).prev().toggle();
                $(this).parent().toggleClass('sidr-class-current_page_item');
            });
        }

        $('#main_content').on('click', function(e) {
            if ($('body').hasClass('sidr-open')) {
                $.sidr('close', 'sidr-existing-content');
            }
        });


        /* Fit videos */

        responsive_videos();

        function responsive_videos() {
            var obj = $('.entry-content, #subheader_box');
            var iframes = [
                "iframe[src*='youtube.com/embed']",
                "iframe[src*='player.vimeo.com/video']",
                "iframe[src*='kickstarter.com/projects']",
                "iframe[src*='players.brightcove.net']",
                "iframe[src*='hulu.com/embed']",
                "iframe[src*='vine.co/v']",
                "iframe[src*='videopress.com/embed']",
                "iframe[src*='dailymotion.com/embed']",
                "iframe[src*='vid.me/e']",
                "iframe[src*='player.twitch.tv']",
                "iframe[src*='facebook.com/plugins/video.php']",
                "iframe[src*='gfycat.com/ifr/']",
                "iframe[src*='liveleak.com/ll_embed']",
                "iframe[src*='media.myspace.com']",
                "iframe[src*='archive.org/embed']",
                "iframe[src*='channel9.msdn.com']",
                "iframe[src*='content.jwplatform.com']",
                "iframe[src*='wistia.com']",
                "iframe[src*='vooplayer.com']",
                "iframe[src*='content.zetatv.com.uy']",
                "iframe[src*='embed.wirewax.com']",
                "iframe[src*='eventopedia.navstream.com']",
                "iframe[src*='cdn.playwire.com']",
                "iframe[src*='drive.google.com']",
                "iframe[src*='videos.sproutvideo.com']"
            ];

            obj.fitVids({
                customSelector: iframes.join(','),
                ignore: '[class^="wp-block"]'
            });
        }


        /* Align full gutenberg blocks*/

        align_full_fix();

        function align_full_fix() {

            var style = '.alignfull { max-width: ' + $('.main_content_wrapper').outerWidth() + 'px; position: relative; -webkit-transform: translateX(-50%); -ms-transform: translateX(-50%); transform: translateX(-50%); width: 100vw; left: 50%; }';

            if ($('#throne-full-fix').length) {
                $('#throne-full-fix').html(style);
            } else {
                $('head').append('<style id="throne-full-fix" type="text/css">' + style + '</style>');
            }


        }

        /* SEARCH BUTTON */

        $('#search_header').on('click', function(e) {
            e.preventDefault();
            $(this).parent().show();

            if ($('.search_header_form').is(':visible')) {

                $('.nav-menu li:not(#search_header_wrap)').animate({
                    opacity: 1
                }, 100);
                $('.search_header_form').toggle('fast');

            } else {

                $('.search_header_form').slideToggle('fast');
                $('.nav-menu li:not(#search_header_wrap)').animate({
                    opacity: 0
                }, 100);

            }
            $(this).next().find('.search_input').focus();
            $('#search_header i').toggleClass('fa-times', 'fa-search');
        });

        $(".search_input").keyup(function() {
            var input_val = $(this).attr('value');
            $('.search_input').attr('value', input_val);
        });


        /* MATCH HEIGHT FOR LAYOUTS D AND C */

        $('.layout_c.post, .layout_d.post, .layout_c.page, .layout_d.page').matchHeight();


        /* PAGE PROGRESS BAR */

        var thr_scroll_percent;

        $(window).scroll(function() {
            var s = $(window).scrollTop(),
                d = $('.entry-content').height(),
                c = $(window).height();
            thr_scroll_percent = (s / (d - c)) * 100;
            var position = thr_scroll_percent;

            $(".page-progress span").css('width', position + '%');
        });

        /*  FEATURED AREA HOVER */

        $('body').on('mouseenter', '.featured_element', function() {
            var height_title = $(this).find('.featured_title_over').outerHeight();
            var title_hidden = $(this).find('.featured_excerpt').height();
            $(this).find('.featured_excerpt').animate({
                opacity: 1
            }, 100);
            $(this).find('.featured_title_over').animate({
                bottom: title_hidden
            }, 100);

        });

        $('body').on('mouseleave', '.featured_element', function() {

            var height_title_2 = $(this).find('.featured_title_over').height();
            var title_hidden_2 = $(this).find('.featured_excerpt').height();

            $(this).find('.featured_title_over').animate({
                bottom: 0
            }, 100);

            $(this).find('.featured_excerpt').animate({
                opacity: 0
            }, 100);
        });


        $('body').on('mouseenter', '.sub-menu', function() {
            $('.featured_element').addClass('thr_stop_hover');
        });

        $('body').on('mouseleave', '.sub-menu', function() {
            $('.featured_element').removeClass('thr_stop_hover');
        });


        $('body').on('mouseenter', '#nav li', function() {
            $(this).children('.sub-menu').stop(true, true).slideDown(200);
        });
        $('body').on('mouseleave', '#nav li', function() {
            $(this).children('.sub-menu').stop(true, true).slideUp(200);
        });


        /* BACK TO TOP */
        $(window).scroll(function() {
            if ($(this).scrollTop() > 100) {
                $('#back-top').fadeIn();
            } else {
                $('#back-top').fadeOut();
            }
        });

        $('body').on('click', '#back-top', function() {
            $('body,html').animate({
                scrollTop: 0
            }, 800);
            return false;
        });


        /* STICKY SIDEBAR */

        $('#main_content').imagesLoaded(function() {
            thr_sticky_sidebar($('.content_wrapper'));
        });

        function thr_sticky_sidebar(obj) {

            if (obj.find('.thr_sticky').length) {

                var stickySidebar = obj.find('.thr_sticky');
                var thrSidebar = obj.find('.sidebar');

                if (window.innerWidth >= 950) {

                    var content_height = obj.find('.main_content_wrapper').height();
                    var sidebar_height = thrSidebar.height();

                    var admin_bar_h = 0;

                    if ($('#wpadminbar').length && $('#wpadminbar').is(':visible') && $('#wpadminbar').css('position') == 'fixed') {
                        admin_bar_h = $('#wpadminbar').height();
                    }

                    if (content_height > sidebar_height) {

                        thrSidebar.css('height', content_height + 100);

                        var sticky_top = 70 + admin_bar_h;

                        //Fix for load more button if sticky is at bottom
                        if ($(".thr_sticky").last().css('position') == 'absolute') {
                            $(".thr_sticky").last().css('position', 'fixed').css('top', sticky_top);
                        }

                        stickySidebar.stick_in_parent({
                            parent: thrSidebar,
                            inner_scrolling: true,
                            offset_top: sticky_top
                        });

                    }

                } else {

                    thrSidebar.each(function() {
                        $(this).css('height', 'auto');
                        $(this).css('min-height', '1px');
                    });

                    stickySidebar.trigger("sticky_kit:detach");
                }
            }

        }


        $(window).on('resize', function() {
            if ($(window).width() < 950) {
                $(".thr_sticky").addClass('affix-responsive');
                if ($('.sidebar.left').length > 0) {
                    $('.sidebar.left').insertAfter('.main_content_wrapper');
                }

                if (thr_js_settings.logo_retina != "" && $("#header .logo_wrapper img").length > 0) {
                    var retina = window.devicePixelRatio > 1;
                    if (retina) {

                        var img_width = $('#header .logo_wrapper img').width();
                        var img_height = $('#header .logo_wrapper img').height();

                        $('#header .logo_wrapper img').css("width", img_width);
                        $('#header .logo_wrapper img').css("height", img_height);

                        $("#header .logo_wrapper img").attr("src", thr_js_settings.logo_retina);
                    }
                }

            } else {
                $(".thr_sticky").removeClass('affix-responsive');
            }

            align_full_fix();


        });

        if ($(window).width() < 950) {
            if ($('.sidebar.left').length > 0) {
                $('.sidebar.left').insertAfter('.main_content_wrapper');
            }
        }

        /* ARCHIVE TITLE ANIMATION */

        if ($('#archive_title h1').length) {
            var cat_h_w = $('#archive_title h1').width();
            $('.arch_line').animate({
                width: cat_h_w
            });
        }

        /* GALLERY AND IMAGE POSTS */

        if (thr_js_settings.use_lightbox) {

            $('.thr_image_format').magnificPopup({
                type: 'image',
                gallery: {
                    enabled: false
                },
                image: {
                    titleSrc: function(item) {
                        var $caption = item.el.closest('.entry-image').find('.photo_caption');
                        if ($caption != 'undefined') {
                            return $caption.text();
                        }
                        return '';
                    }
                }
            });

            $('.gallery, .wp-block-gallery').each(function() {
                $(this).find('.gallery-icon a, .blocks-gallery-item a').magnificPopup({
                    type: 'image',
                    gallery: {
                        enabled: true
                    },

                    image: {
                        titleSrc: function(item) {
                            var $caption = item.el.closest('.gallery-item').find('.gallery-caption');
                            if ($caption != 'undefined') {
                                return $caption.text();
                            }
                            return '';
                        }
                    }
                });
            });

        }

        if (thr_js_settings.use_lightbox_content) {
            $('a.thr-popup').magnificPopup({
                type: 'image',
                gallery: {
                    enabled: true
                },
                image: {
                    titleSrc: function(item) {
                        var $caption = item.el.next('.wp-caption-text');
                        if ($caption != 'undefined') {
                            return $caption.text();
                        }
                        return '';
                    }
                }
            });

            $('.thr-popup img').each(function() {
                if ($(this).hasClass('alignright')) {
                    $(this).parent().addClass('alignright');
                } else if ($(this).hasClass('alignleft')) {
                    $(this).parent().addClass('alignleft');
                } else if ($(this).hasClass('aligncenter')) {
                    $(this).parent().addClass('aligncenter');
                }
            });

        }

        /* Popup Image Content Image(s) */

        thr_popup_image_content($('body'));

        function thr_popup_image_content(obj) {

            if (obj.find("a.thr-popup-img").length > 0) {

                var popupImg = obj.find("a.thr-popup-img");

                popupImg.find('img').each(function() {
                    var $that = $(this);
                    var w = $that.width();
                    $that.parent().append($('<span class="featured_item_overlay">'));
                    if ($that.hasClass('alignright')) {
                        $that.removeClass('alignright').parent().addClass('alignright');
                    }
                    if ($that.hasClass('alignleft')) {
                        $that.removeClass('alignleft').parent().addClass('alignleft');
                    }
                    if ($that.hasClass('alignnone')) {
                        $that.parent().addClass('thr-alignnone').css('width', w);
                    }
                    if ($that.hasClass('aligncenter')) {
                        $that.parent().addClass('thr-aligncenter').css('width', w);
                    }
                });


                popupImg.magnificPopup({
                    type: 'image',
                    gallery: {
                        enabled: true
                    },

                    image: {
                        titleSrc: function(item) {
                            return item.el.closest('.wp-caption').find('.wp-caption-text').text();
                        }
                    },

                });

            }
        }

        /* Load some images nicely */

        $('#featured_wrapper').imagesLoaded(function() {
            $('#featured_wrapper').animate({
                opacity: 1
            }, 300);
        });

        $('.entry-content .gallery').imagesLoaded(function() {
            $('.gallery-item').animate({
                opacity: 1
            }, 500);
        });

        $('.single_b .entry-image').imagesLoaded(function() {
            $('.single_b .entry-image').animate({
                opacity: 1
            }, 500);
        });

        $('.body_bg_img').imagesLoaded(function() {
            $('.body_bg_img').animate({
                opacity: 1
            }, 500);
        });


        /* SCROLL TO COMMENTS */
        $('body.single .entry-meta .comments a, body.single a.button_respond').on('click', function(e) {
            e.preventDefault();
            var target = this.hash,
                $target = $(target);

            $('html, body').stop().animate({
                'scrollTop': $target.offset().top
            }, 900, 'swing', function() {
                window.location.hash = target;
            });
        });


        /* STICKY HEADER */
        if (thr_js_settings.sticky_header) {

            var site_logo = $('.logo_wrapper');
            var site_nav = $('.main_navigation');
            var site_responsive_nav = $('#nav-open-btn');
            site_logo.clone(true).appendTo("#sticky_header .content_wrapper");
            site_nav.clone(true, true).appendTo("#sticky_header .content_wrapper");
            site_responsive_nav.clone(true).appendTo("#sticky_header .content_wrapper");

            var $site_title = $("#sticky_header .site-title");
            $site_title.replaceWith(function() {
                return $('<div/>', {
                    class: 'site-title',
                    html: this.innerHTML
                });
            });


            if (thr_js_settings.sticky_header_logo != "" && $("#sticky_header .logo_wrapper img").length > 0) {
                var retina = window.devicePixelRatio > 1;
                if (retina && thr_js_settings.sticky_header_logo_retina) {
                    $("#sticky_header .logo_wrapper img").attr("src", thr_js_settings.sticky_header_logo_retina);
                } else {
                    $("#sticky_header .logo_wrapper img").attr("src", thr_js_settings.sticky_header_logo);
                }
            }

            if ($('#wpadminbar').length && $('#wpadminbar').css('position') == 'fixed') {
                $('#sticky_header').css('top', $('#wpadminbar').height());
            }

            if ($('#header').length) {

                var sticky_header_top = $('#header').offset().top + parseInt(thr_js_settings.sticky_header_offset);

                $(window).scroll(function() {
                    if ($(window).scrollTop() > sticky_header_top) {
                        $('#sticky_header').addClass('header-is-sticky');

                        if ($('#header .search_header_form').is(':visible')) {
                            $('#sticky_header .search_header_form').show();
                            $('#sticky_header .search_input').focus();
                        }

                    } else {
                        $('#sticky_header').removeClass('header-is-sticky');
                    }
                });

            }
        }

        if ($('.single .meta-share').length > 0) {
            var header_height = $('.header').height();
            var window_height = $(window).height();
            var fix_height = (window_height - header_height) / 2;
            $('.single .meta-share').css('top', fix_height + 'px');
        }


        /* Load more button handler */

        var thr_load_ajax_new_count = 0;

        $("body").on('click', '.thr-load-more a', function(e) {

            e.preventDefault();
            var $link = $(this);
            var page_url = $link.attr("href");
            $link.addClass('thr-loader-active').hide();
            $('.thr-loader').show();
            $("<div>").load(page_url, function() {
                var $this_div = $(this);
                //console.log($this_div.find('.layout_c.post'));
                var n = thr_load_ajax_new_count.toString();
                var $wrap = $('.posts_wrapper');
                var $new = $this_div.find('article').addClass('thr-new-' + n);

                $new.imagesLoaded(function() {

                    $new.hide().appendTo($wrap).fadeIn(400);
                    $new.matchHeight();

                    thr_sticky_sidebar($new.closest('.content_wrapper'));

                    if ($this_div.find('.thr-load-more').length) {
                        $('.thr-load-more').html($this_div.find('.thr-load-more').html());
                        $('.thr-loader').hide();
                        $link.removeClass('thr-loader-active').show();
                    } else {
                        $('.thr-load-more').fadeOut('fast').remove();
                    }


                    if (page_url != window.location) {
                        window.history.pushState({
                            path: page_url
                        }, '', page_url);
                    }

                    thr_load_ajax_new_count++;

                    return false;
                });

            });

        });

        /* Infinite scroll handler */

        var thr_infinite_allow = true;
        if ($('.thr-infinite-scroll').length) {
            $(window).scroll(function() {
                if (thr_infinite_allow && $('.thr-infinite-scroll').length && ($(this).scrollTop() > ($('.thr-infinite-scroll').offset().top) - $(this).height())) {
                    var $link = $('.thr-infinite-scroll a');
                    var page_url = $link.attr("href");
                    if (page_url != undefined) {

                        thr_infinite_allow = false;

                        $('.thr-loader').show();
                        $("<div>").load(page_url, function() {
                            var $this_div = $(this);
                            var n = thr_load_ajax_new_count.toString();
                            var $wrap = $('.posts_wrapper');
                            var $new = $this_div.find('article').addClass('thr-new-' + n);

                            $new.imagesLoaded(function() {
                                $new.hide().appendTo($wrap).fadeIn(400);
                                $new.matchHeight();
                                thr_sticky_sidebar($new.closest('.content_wrapper'));

                                if ($this_div.find('.thr-infinite-scroll').length) {
                                    $('.thr-infinite-scroll').html($this_div.find('.thr-infinite-scroll').html());
                                    $('.thr-loader').hide();
                                    thr_infinite_allow = true;
                                } else {
                                    $('.thr-infinite-scroll').fadeOut('fast').remove();
                                }


                                if (page_url != window.location) {
                                    window.history.pushState({
                                        path: page_url
                                    }, '', page_url);
                                }

                                thr_load_ajax_new_count++;

                                return false;
                            });

                        });
                    }
                }
            });
        }

    }); //END DOCUMENT READY


    $(window).load(function() {

        /* RETINA LOGO */

        if (thr_js_settings.logo_retina != "" && $("#header .logo_wrapper img").length > 0) {
            var retina = window.devicePixelRatio > 1;
            if (retina) {

                var img_width = $('#header .logo_wrapper img').width();
                var img_height = $('#header .logo_wrapper img').height();

                $('#header .logo_wrapper img').css("width", img_width);
                $('#header .logo_wrapper img').css("height", img_height);

                $("#header .logo_wrapper img").attr("src", thr_js_settings.logo_retina);
            }
        }

    });


})(jQuery);