<?php

//Generate option array for image sizes
$image_sizes = thr_get_image_sizes();
$image_sizes_opt = array();
$image_sizes_def = array();
foreach ( $image_sizes as $id => $size ) {
    $image_sizes_opt[$id] = $size['title'];
    $image_sizes_def[$id] = true;
}

//Generate option array for all sidebars list
$sidebars_list = thr_get_sidebars_list();

//Generate link to edit home page
$home_page_edit_link = get_option( 'page_on_front' ) ? admin_url( 'post.php?post='.get_option( 'page_on_front' ).'&action=edit' ) : 'http://demo.mekshq.com/throne/documentation/#home_page';


/* General */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-wrench',
        'title'     => esc_html__( 'General', 'throne' ),
        'desc'     => esc_html__( 'These are general theme settings', 'throne' ),
        'fields'    => array(


            array(
                'id' => 'add_sidebars',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Additional sidebars', 'throne' ),
                'subtitle' => wp_kses_post( sprintf( __( 'Specify number of additional sidebars you want to use in this theme. Manage your sidebars via <a href="%s">Appearance -> Widgets</a>', 'throne' ), admin_url( 'widgets.php' ) ) ),
                'desc' => esc_html__( 'Note: Leave empty for no additional sidebars.', 'throne' ),
                'default' => thr_get_default_option('add_sidebars'),
                'validate' => 'numeric'
            ),

            array(
                'id'        => 'default_fimg',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Default featured image', 'throne' ),
                'subtitle'      => esc_html__( 'Upload your default featured image which will be displayed for posts which don\'t have featured image set', 'throne' ),
                'desc'  => esc_html__( 'Note: Allowed extensions are .jpg and .png', 'throne' ),
                'default'   => thr_get_default_option('default_fimg')
            ),

            array(
                'id'        => 'pagination_type',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Pagination type', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to navigate your blog pages', 'throne' ),
                'options'   => array(
                    'prev_next' => array( 'title' => esc_html__( 'Previous/Next page links', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/prev_next_style.png' ) ),
                    'pagination' => array( 'title' => esc_html__( 'Numeric pagination links', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/pagination_style.png' ) ),
                    'load_more' => array( 'title' => esc_html__( 'Load more', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/load_more_style.png' ) ),
                    'infinite_scroll' => array( 'title' => esc_html__( 'Infinite scroll', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/infinite_scroll_style.png' ) )
                ),
                'default'   => thr_get_default_option('pagination_type')
            ),

            array(
                'id'        => 'time_ago',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display "time ago" format', 'throne' ),
                'subtitle'  => esc_html__( 'Display post dates in "time ago" manner, like Twitter and Facebook (i.e 5 hours ago, 3 days ago, 2 weeks ago, 4 months ago, etc...)', 'throne' ),
                'desc'  => wp_kses_post( sprintf( __( 'Note: If you disable this option, you can choose your preferred date format in <a href="%s">Settings -> General</a>', 'throne' ), admin_url( 'options-general.php' ) ) ),
                'default'   => thr_get_default_option('time_ago')
            ),

            array(
                'id'        => 'time_ago_limit',
                'type'      => 'radio',
                'title'     => esc_html__( 'Apply "time ago" to posts which are not older than', 'throne' ),
                'options'   => array(
                    'hour' => esc_html__( '1 Hour', 'throne' ),
                    'day' => esc_html__( '1 Day', 'throne' ),
                    'week' => esc_html__( '1 Week', 'throne' ),
                    'month' => esc_html__( '1 Month', 'throne' ),
                    'three_months' => esc_html__( '3 Months', 'throne' ),
                    'six_months' => esc_html__( '6 Months', 'throne' ),
                    'year' => esc_html__( '1 Year', 'throne' ),
                    '0' => esc_html__( 'Apply to all posts', 'throne' ),
                ),
                'default'   => thr_get_default_option('time_ago_limit'),
                'required'  => array( 'time_ago', 'equals', true ),
            ),

            array(
                'id'        => 'ago_before',
                'type'      => 'checkbox',
                'title'     => esc_html__( 'Display "ago" word before date/time', 'throne' ),
                'subtitle'  => esc_html__( 'By default, "ago" word goes after date/time string but in some languages different than English it is more proper to display it before. i.e. "Publie depuis 3 heures"', 'throne' ),
                'desc'  => esc_html__( 'Example format: "Publie depuis 3 heures"', 'throne' ),
                'default'   => thr_get_default_option('ago_before'),
                'required'  => array( 'time_ago', 'equals', true )
            ),

            array(
                'id'        => 'scroll_to_top',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display scroll to top button', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display scroll to top button', 'throne' ),
                'default'   => thr_get_default_option('scroll_to_top')
            ),

            array(
                'id'        => 'on_single_img_popup',
                'type'      => 'switch',
                'title'     => esc_html__( 'Open content image(s) in pop-up', 'throne' ),
                'subtitle'  => esc_html__( 'Enable this option if you want to open your content image(s) in pop-up', 'throne' ),
                'default'   => thr_get_default_option('on_single_img_popup')
            ),

            array(
                'id'        => 'responsive_mode',
                'type'      => 'switch',
                'title'     => esc_html__( 'Responsive mode', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to make this theme compatible with smart phones and tablets or always use fixed width', 'throne' ),
                'default'   => thr_get_default_option('responsive_mode'),
            ),

            array(
                'id' => 'rtl_mode',
                'type' => 'switch',
                'title' => esc_html__( 'RTL mode (right to left)', 'throne' ),
                'subtitle' => esc_html__( 'Enable this option if you are using right to left writing/reading', 'throne' ),
                'default' => thr_get_default_option('rtl_mode')
            ),

            array(
                'id'        => 'image_sizes',
                'type'      => 'checkbox',
                'multi'     => true,
                'title'     => esc_html__( 'Generate image sizes', 'throne' ),
                'subtitle'  => esc_html__( 'Check what image sizes you want to generate (if you are not sure, it is highly recommended to leave all sizes checked)', 'throne' ),
                'options'   => $image_sizes_opt,
                'default'   => thr_get_default_option('image_sizes')
            )

    ) )
);

/* Header */
Redux::setSection( $opt_name , array(
        'icon'      => ' el-icon-bookmark',
        'title'     => esc_html__( 'Header Styling', 'throne' ),
        'desc'     => esc_html__( 'These are options to modify and style your header area', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'header_main',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Header layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a style for header area', 'throne' ),
                'options'   => array(
                    '1' => array( 'title' => wp_kses_post( __( 'Logo <span>(left)</span> navigation <span>(right)</span>', 'throne' ) ),  'img' => get_parent_theme_file_uri( '/assets/images/logo_a.png' ) ),
                    '2' => array( 'title' => wp_kses_post( __( 'Logo <span>(top left)</span> ad space <span>(top right)</span> navigation <span>(bottom)</span>', 'throne' ) ),   'img' => get_parent_theme_file_uri( '/assets/images/logo_b.png' ) ),
                    '3' => array( 'title' => wp_kses_post( __( 'Logo <span>(top center)</span> navigation <span>(bottom center)</span>', 'throne' ) ),  'img' => get_parent_theme_file_uri( '/assets/images/logo_c.png' ) )
                ),
                'default'   => thr_get_default_option('header_main')
            ),


            array(
                'id' => 'header_height',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Header height', 'throne' ),
                'subtitle' => esc_html__( 'Specify height for youe header area', 'throne' ),
                'desc' => esc_html__( 'Note: Height value is in px.', 'throne' ),
                'default' => thr_get_default_option('header_height'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'header_ad',
                'type' => 'editor',
                'title' => esc_html__( 'Header ad space', 'throne' ),
                'subtitle' => esc_html__( 'This is a place for header banner ad', 'throne' ),
                'default' => thr_get_default_option('header_ad'),
                'desc' => esc_html__( 'Note: If you want to paste HTML or js code, use "text" mode in editor. Suggested size of an ad banner is 728x90', 'throne' ),
                'args'   => array(
                    'textarea_rows'    => 5,
                    'default_editor' => 'html'
                ),
                'required' => array( 'header_main', '=', '2' )
            ),


            array(
                'id'        => 'logo',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Logo', 'throne' ),
                'subtitle'      => esc_html__( 'Upload your logo image here, or leave empty to show website title instead', 'throne' ),
                'desc'  => esc_html__( 'Note: Allowed extensions are .jpg, .png and .gif', 'throne' ),
                'default'   => thr_get_default_option('logo')
            ),

            array(
                'id'        => 'logo_retina',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Retina logo (2x)', 'throne' ),
                'subtitle'      => esc_html__( 'Optionally upload another logo for devices with retina displays. It should be double size of your normal logo.', 'throne' ),
                'desc'  => esc_html__( 'Note: Allowed extensions are .jpg, .png and .gif', 'throne' ),
                'default'   => thr_get_default_option('logo_retina'),
            ),

            array(
                'id' => 'logo_position',
                'type' => 'spacing',
                'title' => esc_html__( 'Logo position', 'throne' ),
                'subtitle' => esc_html__( 'Specify left and top positions for your logo placement inside header', 'throne' ),
                'top' => false,
                'left' => false,
                'default' => thr_get_default_option('logo_position')
            ),

            array(
                'id' => 'logo_custom_url',
                'type' => 'text',
                'title' => esc_html__( 'Logo custom URL', 'throne' ),
                'subtitle' => esc_html__( 'Specify url if you want to link your logo/site title to some other URL address. By default it will lead to your home page.', 'throne' ),
                'default' => thr_get_default_option('logo_custom_url'),
                'validate' => 'url'
            ),

            array(
                'id'        => 'sticky_header',
                'type'      => 'switch',
                'title'     => esc_html__( 'Sticky header', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to make main navigation always visible (sticky)', 'throne' ),
                'default'   => thr_get_default_option('sticky_header'),
            ),

            array(
                'id'        => 'sticky_header_offset',
                'type'      => 'text',
                'class'     => 'small-text',
                'title'     => esc_html__( 'Sticky header offset', 'throne' ),
                'subtitle'  => esc_html__( 'Specify after how many px of scrolling sticky header appears', 'throne' ),
                'default'   => thr_get_default_option('sticky_header_offset'),
                'validate'  => 'numeric',
                'required' => array( 'sticky_header', '=', true )
            ),

            array(
                'id'        => 'sticky_header_logo',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Sticky header logo', 'throne' ),
                'subtitle'      => esc_html__( 'Optionally upload your logo image if you want to have different logo in sticky header instead of main logo', 'throne' ),
                'desc'  => esc_html__( 'Note: Optimal logo height is 40px. Allowed extensions are .jpg, .png and .gif', 'throne' ),
                'default'   => thr_get_default_option('sticky_header_logo'),
                'required' => array( 'sticky_header', '=', true )
            ),

            array(
                'id'        => 'sticky_header_logo_retina',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Sticky header retina logo (2x)', 'throne' ),
                'subtitle'      => esc_html__( 'Optionally upload your sticky header logo for devices with retina displays. It should be double size of your sticky header logo.', 'throne' ),
                'desc'  => esc_html__( 'Note: Allowed extensions are .jpg, .png and .gif', 'throne' ),
                'default'   => thr_get_default_option('sticky_header_logo_retina'),
                'required' => array( 'sticky_header', '=', true )
            ),

            array(
                'id' => 'color_header_bg',
                'type' => 'color',
                'title' => esc_html__( 'Background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify header background color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_header_bg')
            ),

            array(
                'id' => 'header_bg_opacity',
                'type' => 'slider',
                'title' => esc_html__( 'Background color opacity', 'throne' ),
                'subtitle' => esc_html__( 'Specify header background color opacity', 'throne' ),
                'min' => 0.0,
                'max' => 1.0,
                'step' => 0.01,
                'resolution' => 0.01,
                'default' => thr_get_default_option('header_bg_opacity')
            ),

            array(
                'id'        => 'header_bg_img',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Header background image', 'throne' ),
                'subtitle'      => esc_html__( 'Header background image', 'throne' ),
                'default'   => thr_get_default_option('header_bg_img'),
            ),

            array(
                'id'        => 'header_bg_pat',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Header background pattern', 'throne' ),
                'subtitle'      => esc_html__( 'Header background pattern', 'throne' ),
                'default'   => thr_get_default_option('header_bg_pat'),
            ),

            array(
                'id' => 'color_header_bottom_bg',
                'type' => 'color',
                'title' => esc_html__( 'Bottom background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify background color for bottom header area', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_header_bottom_bg'),
                'required' => array( 'header_main', '!=', '1' )
            ),

            array(
                'id' => 'color_header_txt',
                'type' => 'color',
                'title' => esc_html__( 'Text color', 'throne' ),
                'subtitle' => esc_html__( 'This is color for navigation and text inside header', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_header_txt')
            ),

            array(
                'id' => 'color_header_acc',
                'type' => 'color',
                'title' => esc_html__( 'Accent color', 'throne' ),
                'subtitle' => esc_html__( 'This is color for navigation hover and details', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_header_acc')
            ),




            array(
                'id'        => 'header_description',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display site description', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display site description (below logo/title)', 'throne' ),
                'desc'  => wp_kses_post( sprintf( __( 'Note: You can specify your site description inside <a href="%s">Settings -> General</a>', 'throne' ), admin_url( 'options-general.php' ) ) ),
                'default'   => thr_get_default_option('header_description'),
            ),

            array(
                'id'        => 'header_search',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display search', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display search icon', 'throne' ),
                'default'   => thr_get_default_option('header_search'),
            )

        ) )
);

/* Body */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-screen',
        'title'     => esc_html__( 'Body Styling', 'throne' ),
        'desc'     => esc_html__( 'These are options to modify and style your body area', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'body_style',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Body style', 'throne' ),
                'subtitle'  => esc_html__( 'Choose body style/layout ', 'throne' ),
                'options'   => array(
                    'boxed' => array( 'title' => esc_html__( 'Boxed', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/body_boxed.png' ) ),
                    'default' => array( 'title' => esc_html__( 'Wide', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/body_wide.png' ) ),
                ),
                'default'   => thr_get_default_option('body_style')
            ),

            array(
                'id' => 'color_body_bg',
                'type' => 'color',
                'title' => esc_html__( 'Background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify body background color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_body_bg')
            ),

            array(
                'id' => 'body_bg_opacity',
                'type' => 'slider',
                'title' => esc_html__( 'Background color opacity', 'throne' ),
                'subtitle' => esc_html__( 'Specify body background color opacity (if you are using color overlay for background image)', 'throne' ),
                'min' => 0.0,
                'max' => 1.0,
                'step' => 0.01,
                'resolution' => 0.01,
                'default' => thr_get_default_option('body_bg_opacity')
            ),

            array(
                'id'        => 'body_bg_img',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Body background image', 'throne' ),
                'subtitle'      => esc_html__( 'Upload body background image', 'throne' ),
                'default'   => thr_get_default_option('body_bg_img'),
            ),

            array(
                'id'        => 'body_bg_pat',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__( 'Body background pattern', 'throne' ),
                'subtitle'      => esc_html__( 'Upload body background pattern', 'throne' ),
                'default'   => thr_get_default_option('body_bg_pat'),
            ),

            array(
                'id' => 'color_body_boxed_bg',
                'type' => 'color',
                'title' => esc_html__( 'Boxed body area background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify background color for boxed (inner) body area', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_body_boxed_bg'),
                'required' => array( 'body_style', '=', 'boxed' )
            ),

            array(
                'id' => 'body_top_margin',
                'type' => 'spacing',
                'title' => esc_html__( 'Body top margin', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to separate your body area from top (on boxed layout)', 'throne' ),
                'top' => false,
                'left' => false,
                'right' => false,
                'default' => thr_get_default_option('body_top_margin'),
                'required' => array( 'body_style', '=', 'boxed' )
            )
        ) )
);

/* Content */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-file',
        'title'     => esc_html__( 'Content Styling', 'throne' ),
        'desc'     => esc_html__( 'These are options to modify and style your main content area', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'main_content_style',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Content style', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a style for your main content area (post, pages, archives content, etc...)', 'throne' ),
                'options'   => array(
                    'thr_content_wrapped' => array( 'title' => esc_html__( 'Wrapped', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/content_wrapped.png' ) ),
                    'default' => array( 'title' => esc_html__( 'Unwrapped', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/content_unwrapped.png' ) ),
                ),
                'default'   => thr_get_default_option('main_content_style')
            ),

            array(
                'id' => 'color_content_bg',
                'type' => 'color',
                'title' => esc_html__( 'Background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify content background color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_content_bg'),
                'required' => array( 'main_content_style', '=', 'thr_content_wrapped' )
            ),

            array(
                'id' => 'color_content_acc',
                'type' => 'color',
                'title' => esc_html__( 'Accent color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to buttons, links, icons, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_content_acc')
            ),

            array(
                'id' => 'color_content_txt_h',
                'type' => 'color',
                'title' => esc_html__( 'Headings text color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to your post titles, headings, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_content_txt_h')
            ),

            array(
                'id' => 'color_content_txt',
                'type' => 'color',
                'title' => esc_html__( 'Text color', 'throne' ),
                'subtitle' => esc_html__( 'This is common content text color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_content_txt')
            ),

            array(
                'id' => 'color_content_meta',
                'type' => 'color',
                'title' => esc_html__( 'Meta text color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to your meta data (secondary text)', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_content_meta')
            ),

            array(
                'id' => 'color_content_arch_h',
                'type' => 'color',
                'title' => esc_html__( 'Archive title text color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to your category titles, tag titles, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_content_arch_h')
            )

        ) )
);


/* Sidebar */

Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-th-list',
        'title'     => esc_html__( 'Sidebar Styling', 'throne' ),
        'desc'     => esc_html__( 'These are global styling settings', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'sidebar_style',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Sidebar style', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a style for your sidebar area', 'throne' ),
                'options'   => array(
                    'default' => array( 'title' => esc_html__( 'Unwrapped', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/sidebar_unwrapped.png' ) ),
                    'thr_sidebar_wrapped' => array( 'title' => esc_html__( 'Wrapped', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/sidebar_wrapped.png' ) ),
                    'thr_widget_wrapped' => array( 'title' => esc_html__( 'Widgets Wrapped', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/sidebar_widgets_wrapped.png' ) ),
                ),
                'default'   => thr_get_default_option('sidebar_style')
            ),

            array(
                'id' => 'color_sidebar_bg',
                'type' => 'color',
                'title' => esc_html__( 'Background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify sidebar background color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_sidebar_bg'),
                'required' => array( 'sidebar_style', '!=', 'default' )
            ),

            array(
                'id' => 'color_sidebar_acc',
                'type' => 'color',
                'title' => esc_html__( 'Accent color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to buttons, links, icons, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_sidebar_acc')
            ),

            array(
                'id' => 'color_sidebar_txt_h',
                'type' => 'color',
                'title' => esc_html__( 'Headings text color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to your widget tiles, headings, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_sidebar_txt_h')
            ),

            array(
                'id' => 'color_sidebar_txt',
                'type' => 'color',
                'title' => esc_html__( 'Text color', 'throne' ),
                'subtitle' => esc_html__( 'This is common text sidebar color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_sidebar_txt')
            )

        ) )
);

/* Footer */

Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-bookmark-empty',
        'title'     => esc_html__( 'Footer Styling', 'throne' ),
        'desc'     => esc_html__( 'Manage settings for footer area', 'throne' ),
        'fields'    => array(

            array(
                'id' => 'footer_display',
                'type' => 'switch',
                'switch' => true,
                'title' => esc_html__( 'Enable Footer', 'throne' ),
                'desc' => wp_kses_post( sprintf( __( 'Check if you want to include footer area in your theme. You can manage footer area content in <a href="%s">Apperance -> Widgets</a> settings.', 'throne' ), admin_url( 'widgets.php' ) ) ),
                'default' => thr_get_default_option('footer_display')
            ),

            array(
                'id'        => 'footer_columns',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Footer Columns', 'throne' ),
                'subtitle'  => esc_html__( 'Choose number of columns in footer area', 'throne' ),
                'desc'  => esc_html__( 'Note: This represents number of widgets that will fit in one row of your footer sidebar', 'throne' ),
                'options'   => array(
                    'one-half' => array( 'title' => esc_html__( '2 Columns', 'throne' ),       'img' => get_parent_theme_file_uri( '/assets/images/footer_2col.png' ) ),
                    'one-third' => array( 'title' => esc_html__( '3 Columns', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/footer_3col.png' ) ),
                    'one-quarter' => array( 'title' => esc_html__( '4 Columns', 'throne' ), 'img' => get_parent_theme_file_uri( '/assets/images/footer_4col.png' ) ),
                ),
                'default'   => thr_get_default_option('footer_columns'),
                'required' => array( 'footer_display', '=', true )
            ),

            array(
                'id' => 'color_footer_bg',
                'type' => 'color',
                'title' => esc_html__( 'Background color', 'throne' ),
                'subtitle' => esc_html__( 'Specify footer background color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_footer_bg'),
                'required' => array( 'footer_display', '=', true )
            ),

            array(
                'id' => 'color_footer_acc',
                'type' => 'color',
                'title' => esc_html__( 'Accent color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to buttons, links, icons, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_footer_acc'),
                'required' => array( 'footer_display', '=', true )
            ),

            array(
                'id' => 'color_footer_txt_h',
                'type' => 'color',
                'title' => esc_html__( 'Headings text color', 'throne' ),
                'subtitle' => esc_html__( 'This color will apply to your post tiles, headings, etc...', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_footer_txt_h'),
                'required' => array( 'footer_display', '=', true )
            ),

            array(
                'id' => 'color_footer_txt',
                'type' => 'color',
                'title' => esc_html__( 'Text color', 'throne' ),
                'subtitle' => esc_html__( 'This is common text footer color', 'throne' ),
                'transparent' => false,
                'default' => thr_get_default_option('color_footer_txt'),
                'required' => array( 'footer_display', '=', true )
            ),

            array(
                'id' => 'enable_copyright',
                'type' => 'switch',
                'title' => esc_html__( 'Enable sub-footer/copyright area', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to include copyright area below footer', 'throne' ),
                'default' => thr_get_default_option('enable_copyright')
            ),

            array(
                'id' => 'footer_copyright',
                'type' => 'editor',
                'title' => esc_html__( 'Copyright', 'throne' ),
                'subtitle' => esc_html__( 'Specify some copyright text to show at the bottom of the website', 'throne' ),
                'default' => thr_get_default_option('footer_copyright'),
                'args'   => array(
                    'textarea_rows'  => 3,
                    'default_editor' => 'html'
                ),
                'required' => array( 'enable_copyright', '=', true )
            ),
            array(
                'id' => 'enable_footer_menu',
                'type' => 'switch',
                'title' => esc_html__( 'Enable sub-footer menu', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to include sub-footer menu inside copyright area', 'throne' ),
                'default' => thr_get_default_option('enable_footer_menu'),
                'required' => array( 'enable_copyright', '=', true )
            )






        ) )
);

/* Layout settings */

Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-th-large',
        'heading' => false,
        'title'     => esc_html__( 'Main Layouts', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'section_featured_area',
                'type'      => 'section',
                'title'     => esc_html__( 'Featured Area', 'throne' ),
                'subtitle'  => esc_html__( 'Manage general options for top Featured Area', 'throne' ),
                'indent'    => false
            ),

            array(
                'id' => 'lay_fa_title_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Post titles limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify number of characters to limit post titles for featured area', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters. Leave empty if you want to show full titles.', 'throne' ),
                'default' => thr_get_default_option('lay_fa_title_limit'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'lay_fa_title_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Title more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your "more" string to append after stripped titles', 'throne' ),
                'default' => thr_get_default_option('lay_fa_title_more'),
                'validate' => 'no_html'
            ),

            array(
                'id'        => 'lay_fa_meta',
                'type'      => 'sortable',
                'mode'      => 'checkbox',
                'title'     => esc_html__( 'Meta data', 'throne' ),
                'subtitle'  => esc_html__( 'Check which meta data to show for featured area posts', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Date/time', 'throne' ),
                    'author' => esc_html__( 'Author', 'throne' ),
                    'categories' => esc_html__( 'Categories', 'throne' ),
                    'comments' => esc_html__( 'Comments', 'throne' ),
                    'views' => esc_html__( 'Views', 'throne' ),
                    'rtime' => esc_html__( 'Reading time', 'throne' )
                ),
                'default' => thr_get_default_option('lay_fa_meta')
            ),

            array(
                'id'        => 'featured_area_hover',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display featured area hover effect (with excerpt)', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display hover effect for featured area items to display excerpt below', 'throne' ),
                'default'   => thr_get_default_option('featured_area_hover')
            ),

            array(
                'id' => 'lay_fa_excerpt_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify your post excerpt limit for featured area', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters', 'throne' ),
                'default' => thr_get_default_option('lay_fa_excerpt_limit'),
                'validate' => 'numeric',
                'required'  => array( 'featured_area_hover', '=', true )
            ),

            array(
                'id' => 'lay_fa_excerpt_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your excerpt "more" string', 'throne' ),
                'default' => thr_get_default_option('lay_fa_excerpt_more'),
                'required'  => array( 'featured_area_hover', '=', true )
            ),
            array(
                'id' => 'lay_fa_rm',
                'type' => 'switch',
                'title' => esc_html__( 'Display "read more"', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display read more button on featured area items', 'throne' ),
                'default' => thr_get_default_option('lay_fa_rm'),
                'required'  => array( 'featured_area_hover', '=', true )
            ),

            array(
                'id'        => 'section_layout_a',
                'type'      => 'section',
                'title'     => esc_html__( 'Layout A', 'throne' ),
                'subtitle'  => esc_html__( 'Manage options for layout A', 'throne' ),
                'indent'    => false
            ),

            array(
                'id'        => 'lay_a_meta',
                'type'      => 'sortable',
                'mode'      => 'checkbox',
                'title'     => esc_html__( 'Meta data', 'throne' ),
                'subtitle'  => esc_html__( 'Check which meta data to show for posts in layout A', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Date/time', 'throne' ),
                    'author' => esc_html__( 'Author', 'throne' ),
                    'categories' => esc_html__( 'Categories', 'throne' ),
                    'comments' => esc_html__( 'Comments', 'throne' ),
                    'views' => esc_html__( 'Views', 'throne' ),
                    'rtime' => esc_html__( 'Reading time', 'throne' )
                ),
                'default' => thr_get_default_option('lay_a_meta')
            ),

            array(
                'id' => 'lay_a_fimg',
                'type' => 'switch',
                'title' => esc_html__( 'Display featured image', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display featured image for posts in layout A', 'throne' ),
                'default' => thr_get_default_option('lay_a_fimg')
            ),


            array(
                'id' => 'lay_a_content_type',
                'type' => 'radio',
                'title' => esc_html__( 'Post content display', 'throne' ),
                'subtitle' => esc_html__( 'Choose how to display post content for layout A', 'throne' ),
                'options' => array(
                    'content' => esc_html__( 'Full Content (optionally split with "<--more-->" tag)', 'throne' ),
                    'excerpt' =>  esc_html__( 'Excerpt', 'throne' )
                ),
                'default' => thr_get_default_option('lay_a_content_type')
            ),

            array(
                'id' => 'lay_a_excerpt_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify your excerpt limit if you are using excerpts on blog posts', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters', 'throne' ),
                'default' => thr_get_default_option('lay_a_excerpt_limit'),
                'validate' => 'numeric',
                'required'  => array( 'lay_a_content_type', 'equals', 'excerpt' )
            ),

            array(
                'id' => 'lay_a_excerpt_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your excerpt "more" string if you want to override default string "..."', 'throne' ),
                'default' => thr_get_default_option('lay_a_excerpt_more'),
                'required'  => array( 'lay_a_content_type', 'equals', 'excerpt' )
            ),

            array(
                'id' => 'lay_a_rm',
                'type' => 'switch',
                'title' => esc_html__( 'Display "read more" button', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display read more button for posts in layout A', 'throne' ),
                'default' => thr_get_default_option('lay_a_rm')
            ),

            array(
                'id' => 'lay_a_share',
                'type' => 'switch',
                'title' => esc_html__( 'Display share buttons', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display social share buttons for posts in layout A', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('lay_a_share')
            ),

            array(
                'id' => 'layout_a_share_expand',
                'type' => 'checkbox',
                'title' => esc_html__( 'Always expand share buttons', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to make all share buttons always visible', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('layout_a_share_expand'),
                'required'  => array( 'lay_a_share', '=', true )

            ),

            array(
                'id'        => 'lay_a_ppp',
                'type'      => 'radio',
                'title'     => esc_html__( 'Posts per page', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how many posts per page you want to display for Layout A', 'throne' ),
                'options'   => array(
                    'inherit' => wp_kses_post( sprintf( __( 'Inherit from global option in <a href="%s">Settings->Reading</a>', 'throne' ), admin_url( 'options-reading.php' ) ) ),
                    'custom' => esc_html__( 'Custom number', 'throne' )
                ),
                'default'   => thr_get_default_option('lay_a_ppp')
            ),

            array(
                'id'        => 'lay_a_ppp_num',
                'type'      => 'text',
                'class'     => 'small-text',
                'title'     => esc_html__( 'Number of posts per page', 'throne' ),
                'default'   => thr_get_default_option('lay_a_ppp_num'),
                'required'  => array( 'lay_a_ppp', '=', 'custom' ),
                'validate'  => 'numeric'
            ),



            array(
                'id'        => 'section_layout_b',
                'type'      => 'section',
                'title'     => esc_html__( 'Layout B', 'throne' ),
                'subtitle'  => esc_html__( 'Manage options for layout B', 'throne' ),
                'indent'    => false
            ),

            array(
                'id' => 'lay_b_title_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Post titles limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify number of characters to limit post titles for layout B', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters. Leave empty if you want to show full titles.', 'throne' ),
                'default' => thr_get_default_option('lay_b_title_limit'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'lay_b_title_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Title more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your "more" string to append after stripped titles', 'throne' ),
                'default' => thr_get_default_option('lay_b_title_more'),
                'validate' => 'no_html'
            ),

            array(
                'id'        => 'lay_b_meta',
                'type'      => 'sortable',
                'mode'      => 'checkbox',
                'title'     => esc_html__( 'Meta data', 'throne' ),
                'subtitle'  => esc_html__( 'Check which meta data to show for layout B', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Date/time', 'throne' ),
                    'author' => esc_html__( 'Author', 'throne' ),
                    'categories' => esc_html__( 'Categories', 'throne' ),
                    'comments' => esc_html__( 'Comments', 'throne' ),
                    'views' => esc_html__( 'Views', 'throne' ),
                    'rtime' => esc_html__( 'Reading time', 'throne' )
                ),
                'default' => thr_get_default_option('lay_b_meta')
            ),

            array(
                'id' => 'lay_b_excerpt_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify your post excerpt limit for layout B', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters', 'throne' ),
                'default' => thr_get_default_option('lay_b_excerpt_limit'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'lay_b_excerpt_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your excerpt "more" string if you want to override default string "..."', 'throne' ),
                'default' => thr_get_default_option('lay_b_excerpt_more')
            ),


            array(
                'id' => 'lay_b_rm',
                'type' => 'switch',
                'title' => esc_html__( 'Display "read more" button', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display read more button for posts in layout B', 'throne' ),
                'default' => thr_get_default_option('lay_b_rm')
            ),

            array(
                'id' => 'lay_b_share',
                'type' => 'switch',
                'title' => esc_html__( 'Display share buttons', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display social share buttons for posts in layout B', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('lay_b_share')
            ),

            array(
                'id' => 'layout_b_share_expand',
                'type' => 'checkbox',
                'title' => esc_html__( 'Always expand share buttons', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to make all share buttons always visible', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('layout_b_share_expand'),
                'required'  => array( 'lay_b_share', '=', true )

            ),
            array(
                'id'        => 'lay_b_ppp',
                'type'      => 'radio',
                'title'     => esc_html__( 'Posts per page', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how many posts per page you want to display for Layout B', 'throne' ),
                'options'   => array(
                    'inherit' => wp_kses_post( sprintf( __( 'Inherit from global option in <a href="%s">Settings->Reading</a>', 'throne' ), admin_url( 'options-reading.php' ) ) ),
                    'custom' => esc_html__( 'Custom number', 'throne' )
                ),
                'default'   => thr_get_default_option('lay_b_ppp')
            ),

            array(
                'id'        => 'lay_b_ppp_num',
                'type'      => 'text',
                'class'     => 'small-text',
                'title'     => esc_html__( 'Number of posts per page', 'throne' ),
                'default'   => thr_get_default_option('lay_b_ppp_num'),
                'required'  => array( 'lay_b_ppp', '=', 'custom' ),
                'validate'  => 'numeric'
            ),

            array(
                'id'        => 'section_layout_c',
                'type'      => 'section',
                'title'     => esc_html__( 'Layout C', 'throne' ),
                'subtitle'  => esc_html__( 'Manage options for layout C', 'throne' ),
                'indent'    => false
            ),

            array(
                'id' => 'lay_c_title_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Post titles limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify number of characters to limit post titles for layout C', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters. Leave empty if you want to show full titles.', 'throne' ),
                'default' => thr_get_default_option('lay_c_title_limit'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'lay_c_title_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Title more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your "more" string to append after stripped titles', 'throne' ),
                'default' => thr_get_default_option('lay_c_title_more'),
                'validate' => 'no_html'
            ),

            array(
                'id'        => 'lay_c_meta',
                'type'      => 'sortable',
                'mode'      => 'checkbox',
                'title'     => esc_html__( 'Meta data', 'throne' ),
                'subtitle'  => esc_html__( 'Check which meta data to show for layout C', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Date/time', 'throne' ),
                    'author' => esc_html__( 'Author', 'throne' ),
                    'categories' => esc_html__( 'Categories', 'throne' ),
                    'comments' => esc_html__( 'Comments', 'throne' ),
                    'views' => esc_html__( 'Views', 'throne' ),
                    'rtime' => esc_html__( 'Reading time', 'throne' )
                ),
                'default' => thr_get_default_option('lay_c_meta')
            ),

            array(
                'id' => 'lay_c_excerpt_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify your post excerpt limit for layout C', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters', 'throne' ),
                'default' => thr_get_default_option('lay_c_excerpt_limit'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'lay_c_excerpt_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Excerpt more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your excerpt "more" string if you want to override default string "..."', 'throne' ),
                'default' => thr_get_default_option('lay_c_excerpt_more'),
            ),

            array(
                'id' => 'lay_c_rm',
                'type' => 'switch',
                'title' => esc_html__( 'Display "read more" button', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display read more button for posts in layout C', 'throne' ),
                'default' => thr_get_default_option('lay_c_rm')
            ),

            array(
                'id' => 'lay_c_share',
                'type' => 'switch',
                'title' => esc_html__( 'Display share buttons', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to display social share buttons for posts in layout C', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('lay_c_share')
            ),

            array(
                'id' => 'layout_c_share_expand',
                'type' => 'checkbox',
                'title' => esc_html__( 'Always expand share buttons', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to make all share buttons always visible', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('layout_c_share_expand'),
                'required'  => array( 'lay_c_share', '=', true )

            ),

            array(
                'id'        => 'lay_c_ppp',
                'type'      => 'radio',
                'title'     => esc_html__( 'Posts per page', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how many posts per page you want to display for Layout C', 'throne' ),
                'options'   => array(
                    'inherit' => wp_kses_post( sprintf( __( 'Inherit from global option in <a href="%s">Settings->Reading</a>', 'throne' ), admin_url( 'options-reading.php' ) ) ),
                    'custom' => esc_html__( 'Custom number', 'throne' )
                ),
                'default'   => thr_get_default_option('lay_c_ppp')
            ),

            array(
                'id'        => 'lay_c_ppp_num',
                'type'      => 'text',
                'class'     => 'small-text',
                'title'     => esc_html__( 'Number of posts per page', 'throne' ),
                'default'   => thr_get_default_option('lay_c_ppp_num'),
                'required'  => array( 'lay_c_ppp', '=', 'custom' ),
                'validate'  => 'numeric'
            ),

            array(
                'id'        => 'section_layout_d',
                'type'      => 'section',
                'title'     => esc_html__( 'Layout D', 'throne' ),
                'subtitle'  => esc_html__( 'Manage options for layout D', 'throne' ),
                'indent'    => false
            ),

            array(
                'id' => 'lay_d_title_limit',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Post titles limit', 'throne' ),
                'subtitle' => esc_html__( 'Specify number of characters to limit post titles for layout D', 'throne' ),
                'desc' => esc_html__( 'Note: Value represents number of characters. Leave empty if you want to show full titles.', 'throne' ),
                'default' => thr_get_default_option('lay_d_title_limit'),
                'validate' => 'numeric'
            ),

            array(
                'id' => 'lay_d_title_more',
                'type' => 'text',
                'class' => 'small-text',
                'title' => esc_html__( 'Title more string', 'throne' ),
                'subtitle' => esc_html__( 'Specify your "more" string to append after stripped titles', 'throne' ),
                'default' => thr_get_default_option('lay_d_title_more'),
                'validate' => 'no_html'
            ),

            array(
                'id'        => 'lay_d_meta',
                'type'      => 'sortable',
                'mode'      => 'checkbox',
                'title'     => esc_html__( 'Meta data', 'throne' ),
                'subtitle'  => esc_html__( 'Check which meta data to show for layout D', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Date/time', 'throne' ),
                    'author' => esc_html__( 'Author', 'throne' ),
                    'categories' => esc_html__( 'Categories', 'throne' ),
                    'comments' => esc_html__( 'Comments', 'throne' ),
                    'views' => esc_html__( 'Views', 'throne' ),
                    'rtime' => esc_html__( 'Reading time', 'throne' )
                ),
                'default' => thr_get_default_option('lay_d_meta')
            ),

            array(
                'id'        => 'lay_d_ppp',
                'type'      => 'radio',
                'title'     => esc_html__( 'Posts per page', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how many posts per page you want to display for Layout C', 'throne' ),
                'options'   => array(
                    'inherit' => wp_kses_post( sprintf( __( 'Inherit from global option in <a href="%s">Settings->Reading</a>', 'throne' ), admin_url( 'options-reading.php' ) ) ),
                    'custom' => esc_html__( 'Custom number', 'throne' )
                ),
                'default'   => thr_get_default_option('lay_d_ppp')
            ),

            array(
                'id'        => 'lay_d_ppp_num',
                'type'      => 'text',
                'class'     => 'small-text',
                'title'     => esc_html__( 'Number of posts per page', 'throne' ),
                'default'   => thr_get_default_option('lay_d_ppp_num'),
                'required'  => array( 'lay_d_ppp', '=', 'custom' ),
                'validate'  => 'numeric'
            ),

        ) )
);

/* Home Page */

Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-home',
        'title'     => esc_html__( 'Home Page', 'throne' ),
        'desc'     => wp_kses_post( sprintf( __( 'Manage your home page settings. In order to use these settings properly, you need to create <strong>Home Page template</strong> and use it with "front page displays static page" option in <a href="%s">Settings -> Reading</a>', 'throne' ), admin_url( 'options-reading.php' ) ) ),
        'fields'    => array(

            array(
                'id'        => 'home_featured_area',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display featured area', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to enable featured area on home page', 'throne' ),
                'default'   => thr_get_default_option('home_featured_area')
            ),

            array(
                'id'        => 'home_fa_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Featured area layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a layout for your featured area on home page', 'throne' ),
                'options'   => thr_featured_area_layouts(),
                'default'   => thr_get_default_option('home_fa_layout'),
                'required' => array( 'home_featured_area', '=', true )
            ),

            array(
                'id'        => 'home_fa_posts_order',
                'type'      => 'radio',
                'title'     => esc_html__( 'Featured area displays', 'throne' ),
                'subtitle'  => esc_html__( 'Choose which posts to display on home page featured area', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Latest posts', 'throne' ),
                    'comment_count' => esc_html__( 'Most popular posts (by number of comments)', 'throne' ),
                    'views' => esc_html__( 'Most popular posts (by number of views)', 'throne' ),
                    'rand' => esc_html__( 'Random posts', 'throne' ),
                    'manual' => esc_html__( 'Manually picked posts', 'throne' )
                ),
                'default'   => thr_get_default_option('home_fa_posts_order'),
                'required' => array( 'home_featured_area', '=', true )
            ),

            array(
                'id'        => 'home_fa_posts_cat',
                'type'      => 'select',
                'data'      => 'categories',
                'multi'     => true,
                'title'     => esc_html__( 'In category', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display posts in featured area only from specific category(s)', 'throne' ),
                'desc'      => esc_html__( 'Note: You can select one or more categories. Leave empty for "all categories"', 'throne' ),
                'required' => array( 'home_fa_posts_order', '!=', 'manual' )
            ),

            array(
                'id'        => 'home_fa_posts_tag',
                'type'      => 'select',
                'data'      => 'tags',
                'multi'     => true,
                'title'     => esc_html__( 'Tagged with', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display posts in featured area only from specific tag(s)', 'throne' ),
                'desc'      => esc_html__( 'Note: You can select one or more tags. Leave empty for "all tags"', 'throne' ),
                'required' => array( 'home_fa_posts_order', '!=', 'manual' )
            ),

            array(
                'id'        => 'home_fa_posts_manual',
                'type'      => 'select',
                'data'      => 'post',
                'multi'     => true,
                'sortable'     => true,
                'title'     => esc_html__( 'Choose posts', 'throne' ),
                'subtitle'  => esc_html__( 'Pick your featured area posts manually', 'throne' ),
                'desc'      => esc_html__( 'Note: Please keep in mind that number of picked posts must match your layout limit (i.e. if you are using 3+4 layout, choose 7 posts)', 'throne' ),
                'required' => array( 'home_fa_posts_order', '=', 'manual' ),
                'args' => array( 'posts_per_page' => 100, 'post_type' => array( 'post', 'page' ) )
            ),

            array(
                'id'        => 'home_fa_posts_manual_force',
                'type'      => 'text',
                'title'     => esc_html__( 'Choose posts/pages by IDs', 'throne' ),
                'subtitle'  => esc_html__( 'Due to some limitations, previous select option displays max 100 latest posts/pages. Use this option to manually specify posts or pages by its IDs if they cannot be found in the option above', 'throne' ),
                'desc'      => esc_html__( 'Note: This option has priority over above option. Separate post/page ids by comma, i.e. 43,56,26,187', 'throne' ),
                'required' => array( 'home_fa_posts_order', '=', 'manual' )
            ),

            array(
                'id'        => 'home_do_not_duplicate',
                'type'      => 'switch',
                'title'     => esc_html__( 'Do not duplicate', 'throne' ),
                'subtitle'  => esc_html__( 'Do not duplicate posts on home page (if posts are displayed inside featured area they will not be displayed inside post listing below)', 'throne' ),
                'default'   => thr_get_default_option('home_do_not_duplicate'),
                'required' => array( 'home_featured_area', '=', true )
            ),

            array(
                'id'        => 'home_pag_fa_hide',
                'type'      => 'switch',
                'title'     => esc_html__( 'Hide featured area on pagination', 'throne' ),
                'subtitle'  => esc_html__( 'Check this option to display featured area only on first page of your home page (i.e. will not be displayed for yourwebsite.com/page/2)', 'throne' ),
                'default'   => thr_get_default_option('home_pag_fa_hide'),
                'required' => array( 'home_featured_area', '=', true )
            ),

            array(
                'id'        => 'home_wa_pos',
                'type'      => 'radio',
                'title'     => esc_html__( 'Welcome area position', 'throne' ),
                'subtitle'  => esc_html__( 'Choose where to display "welcome area"', 'throne' ),
                'desc'  => wp_kses_post( sprintf( __( 'Note: Welcome area represents your Home Page content. In order to add/modify welcome area please use your <a href="%s" target="_blank">home page content editor</a>.', 'throne' ), $home_page_edit_link ) ),
                'options'   => array(
                    'up' => esc_html__( 'Above featured area', 'throne' ),
                    'down' => esc_html__( 'Below featured area', 'throne' )
                ),
                'default'   => thr_get_default_option('home_wa_pos')
            ),

            array(
                'id'        => 'home_pag_wa_hide',
                'type'      => 'switch',
                'title'     => esc_html__( 'Hide welcome area on pagination', 'throne' ),
                'subtitle'  => esc_html__( 'Check this option to display welcome area only on first page of your home page (i.e. will not be displayed for yourwebsite.com/page/2)', 'throne' ),
                'default'   => thr_get_default_option('home_pag_wa_hide')
            ),


            array(
                'id'        => 'home_display_posts',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display main posts listing', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display main post listing on home page (or set to off if you want for example to show only featured area)', 'throne' ),
                'default'   => thr_get_default_option('home_display_posts')
            ),

            array(
                'id'        => 'home_page_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Home page posts layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on home page', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('home_page_layout'),
                'required' => array( 'home_display_posts', '=', true )
            ),

            array(
                'id'        => 'home_posts_order',
                'type'      => 'radio',
                'title'     => esc_html__( 'Home page displays', 'throne' ),
                'subtitle'  => esc_html__( 'Choose which posts to display on home page main listing', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Latest posts', 'throne' ),
                    'comment_count' => esc_html__( 'Most popular posts (by number of comments)', 'throne' ),
                    'views' => esc_html__( 'Most popular posts (by number of views)', 'throne' ),
                    'rand' => esc_html__( 'Random posts', 'throne' ),
                    'manual' => esc_html__( 'Manually picked posts', 'throne' )
                ),
                'default'   => thr_get_default_option('home_posts_order'),
                'required' => array( 'home_display_posts', '=', true )
            ),

            array(
                'id'        => 'home_posts_cat',
                'type'      => 'select',
                'data'      => 'categories',
                'multi'     => true,
                'title'     => esc_html__( 'In category', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display posts only from specific category(s)', 'throne' ),
                'desc'      => esc_html__( 'Note: You can select one or more categories. Leave empty for "all categories"', 'throne' ),
                'required' => array( 'home_posts_order', '!=', 'manual' )
            ),

            array(
                'id'        => 'home_posts_tag',
                'type'      => 'select',
                'data'      => 'tags',
                'multi'     => true,
                'title'     => esc_html__( 'Tagged with', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to display posts only from specific tag(s)', 'throne' ),
                'desc'      => esc_html__( 'Note: You can select one or more tags. Leave empty for "all tags"', 'throne' ),
                'required' => array( 'home_posts_order', '!=', 'manual' )
            ),

            array(
                'id'        => 'home_posts_manual',
                'type'      => 'select',
                'data'      => 'post',
                'multi'     => true,
                'sortable'     => true,
                'title'     => esc_html__( 'Choose posts', 'throne' ),
                'subtitle'  => esc_html__( 'Pick your home page posts manually', 'throne' ),
                'required' => array( 'home_posts_order', '=', 'manual' ),
                'args' => array( 'posts_per_page' => 100 )
            ),

            array(
                'id'        => 'home_posts_manual_force',
                'type'      => 'text',
                'title'     => esc_html__( 'Choose posts/pages by IDs', 'throne' ),
                'subtitle'  => esc_html__( 'Due to some limitations, previous select option displays max 100 latest posts/pages. Use this option to manually specify posts or pages by its IDs if they cannot be found in the option above', 'throne' ),
                'desc'      => esc_html__( 'Note: This option has priority over above option. Separate post/page ids by comma, i.e. 43,56,26,187', 'throne' ),
                'required' => array( 'home_posts_order', '=', 'manual' )
            ),
        ) )
);

/* Single Post */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-pencil',
        'title'     => esc_html__( 'Single Post', 'throne' ),
        'desc'     => esc_html__( 'Manage settings for single post template', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'single_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Single post layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose default layout for single posts', 'throne' ),
                'desc' => esc_html__( 'Note: You can override this option for each specific post', 'throne' ),
                'options'   => array(
                    'a' => array( 'title' => esc_html__( 'Classic', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/single_normal.png' ) ),
                    'b' => array( 'title' => esc_html__( 'Featured', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/single_featured.png' ) )
                ),
                'default'   => thr_get_default_option('single_layout')
            ),

            array(
                'id'        => 'single_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use single post sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose default single post sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('single_use_sidebar')
            ),

            array(
                'id'        => 'single_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Post standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose single post standard sidebar', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('single_sidebar'),
                'required'  => array( 'single_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'single_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Post sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose single post sticky sidebar', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('single_sticky_sidebar'),
                'required'  => array( 'single_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'single_meta',
                'type'      => 'sortable',
                'mode'      => 'checkbox',
                'title'     => esc_html__( 'Meta data', 'throne' ),
                'subtitle'  => esc_html__( 'Check which meta data to show for single post', 'throne' ),
                'options'   => array(
                    'date' => esc_html__( 'Date/time', 'throne' ),
                    'author' => esc_html__( 'Author', 'throne' ),
                    'categories' => esc_html__( 'Categories', 'throne' ),
                    'comments' => esc_html__( 'Comments', 'throne' ),
                    'views' => esc_html__( 'Views', 'throne' ),
                    'rtime' => esc_html__( 'Reading time', 'throne' )
                ),
                'default' => thr_get_default_option('single_meta')
            ),

            array(
                'id' => 'show_fimg',
                'type' => 'switch',
                'title' => esc_html__( 'Display featured image', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display featured image', 'throne' ),
                'default' => thr_get_default_option('show_fimg')
            ),

            array(
                'id' => 'show_fimg_caption',
                'type' => 'switch',
                'title' => esc_html__( 'Display featured image caption', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display captions for featured images', 'throne' ),
                'default' => thr_get_default_option('show_fimg_caption'),
                'required' => array( 'show_fimg', '=', '1' )
            ),

            array(
                'id' => 'show_share',
                'type' => 'switch',
                'title' => esc_html__( 'Display share bar', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display social share buttons', 'throne' ),
                'desc' => !function_exists('meks_ess_share') ? wp_kses_post( sprintf( __('Note: <a href="%s">Meks Easy Social Share plugin</a> must be activated to use this option.', 'throne'),  admin_url( 'themes.php?page=install-required-plugins' ) ) ) : '',
                'default' => thr_get_default_option('show_share')
            ),

            array(
                'id' => 'show_author_box',
                'type' => 'switch',
                'title' => esc_html__( 'Display author box', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display "about author" area below post content.', 'throne' ),
                'default' => thr_get_default_option('show_author_box')
            ),
            array(
                'id' => 'show_prev_next',
                'type' => 'switch',
                'title' => esc_html__( 'Display previous/next post links', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display previous and next post links for current post.', 'throne' ),
                'default' => thr_get_default_option('show_prev_next')
            ),
            array(
                'id' => 'prev_next_cat',
                'type' => 'checkbox',
                'title' => esc_html__( 'Previous/next links to posts from same category?', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want previous and next post links to display only posts from same category.', 'throne' ),
                'default' => thr_get_default_option('prev_next_cat'),
                'required' => array( 'show_prev_next', '=', '1' )
            ),

            array(
                'id' => 'show_progressbar',
                'type' => 'switch',
                'title' => esc_html__( 'Display top progress bar', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display top progress bar while scrolling throug post content.', 'throne' ),
                'default' => thr_get_default_option('show_progressbar')
            ),

            array(
                'id' => 'show_tags',
                'type' => 'switch',
                'title' => esc_html__( 'Display tags', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display tags below post content', 'throne' ),
                'default' => thr_get_default_option('show_tags')
            ),

            array(
                'id' => 'lightbox',
                'type' => 'switch',
                'title' => esc_html__( 'Open galleries in lightbox/popup', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to open your galleries and image post format in lightbox/popup', 'throne' ),
                'default' => thr_get_default_option('lightbox')
            ),

            array(
                'id' => 'lightbox_content_img',
                'type' => 'switch',
                'title' => esc_html__( 'Open content images in lightbox/popup', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to open your content images in lightbox/popup', 'throne' ),
                'default' => thr_get_default_option('lightbox_content_img')
            ),

            /** Related Posts **/
            array(
                'id' => 'section_related',
                'type' => 'section',
                'title' => esc_html__( 'Related posts', 'throne' ),
                'subtitle' => esc_html__( 'These are options for the related posts area below the single post', 'throne' ),
                'indent' => false
            ),

            array(
                'id' => 'show_related',
                'type' => 'switch',
                'title' => esc_html__( 'Display "related" posts box', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display an additional area with related posts below the post content', 'throne' ),
                'default' => thr_get_default_option('show_related')
            ),

            array(
                'id'        => 'related_limit',
                'type'      => 'text',
                'class'     => 'small-text',
                'title'     => esc_html__( 'Related area posts number limit', 'throne' ),
                'default'   => thr_get_default_option('related_limit'),
                'validate'  => 'numeric',
                'required'  => array( 'show_related', '=', true ),
            ),

            array(
                'id'        => 'related_type',
                'type'      => 'radio',
                'title'     => esc_html__( 'Related area chooses from', 'throne' ),
                'options'   => array(
                    'cat' => esc_html__( 'Posts located in the same category', 'throne' ),
                    'tag' => esc_html__( 'Posts tagged with at least one same tag', 'throne' ),
                    'cat_or_tag' => esc_html__( 'Posts located in the same category OR tagged with a same tag', 'throne' ),
                    'cat_and_tag' => esc_html__( 'Posts located in the same category AND tagged with a same tag', 'throne' ),
                    'author' => esc_html__( 'Posts by the same author', 'throne' ),
                    '0' => esc_html__( 'All posts', 'throne' )
                ),
                'default'   => thr_get_default_option('related_type'),
                'required'  => array( 'show_related', '=', true ),
            ),

            array(
                'id'        => 'related_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Related area posts layout', 'throne' ),
                'default'   => thr_get_default_option('related_layout'),
                'options'   => thr_get_post_layouts(),
                'required'  => array( 'show_related', '=', true ),
            ),

            array(
                'id'        => 'related_order',
                'type'      => 'radio',
                'title'     => esc_html__( 'Related posts are ordered by', 'throne' ),
                'options'   => thr_get_post_order_opts(),
                'default'   => thr_get_default_option('related_order'),
                'required'  => array( 'show_related', '=', true ),
            ),

            array(
                'id'        => 'related_time',
                'type'      => 'radio',
                'title'     => esc_html__( 'Related posts are not older than', 'throne' ),
                'options'   => thr_get_time_diff_opts(),
                'default'   => thr_get_default_option('related_time'),
                'required'  => array( 'show_related', '=', true ),
            )


        ) )
);

/* Page */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-file-edit',
        'title'     => esc_html__( 'Page Templates', 'throne' ),
        'desc'     => esc_html__( 'Manage default settings for your pages (page templates)', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'page_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Page layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose default layout for pages', 'throne' ),
                'desc' => esc_html__( 'Note: You can override this option for each specific page', 'throne' ),
                'options'   => array(
                    'a' => array( 'title' => esc_html__( 'Classic', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/single_normal.png' ) ),
                    'b' => array( 'title' => esc_html__( 'Featured', 'throne' ),  'img' => get_parent_theme_file_uri( '/assets/images/single_featured.png' ) )
                ),
                'default'   => thr_get_default_option('page_layout')
            ),

            array(
                'id'        => 'page_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use page sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose default page sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('page_use_sidebar')
            ),

            array(
                'id'        => 'page_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Page standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose page standard sidebar', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('page_sidebar'),
                'required'  => array( 'page_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'page_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Page sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose page sticky sidebar', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('page_sticky_sidebar'),
                'required'  => array( 'page_use_sidebar', '!=', '0' )
            ),

            array(
                'id' => 'page_show_fimg',
                'type' => 'switch',
                'title' => esc_html__( 'Display featured image', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display featured image on single pages', 'throne' ),
                'default' => thr_get_default_option('page_show_fimg')
            ),

            array(
                'id' => 'page_show_comments',
                'type' => 'switch',
                'title' => esc_html__( 'Display comments', 'throne' ),
                'subtitle' => esc_html__( 'Choose if you want to display comments on single pages', 'throne' ),
                'description' => esc_html__( 'Note: This is just an option to quickly hide the comments on pages. If you want to allow/disallow comments properly, you need to do it in "Discussion" box for each particular page.', 'throne' ),
                'default' => thr_get_default_option('page_show_comments')
            ),
        ) )
);

/* Categories */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-folder',
        'title'     => esc_html__( 'Category Templates', 'throne' ),
        'desc'     => esc_html__( 'Manage settings for category templates. Note: these are global category settings, you can optionally modify these settings for each category.', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'category_featured_area',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display featured area', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to enable featured area for category templates', 'throne' ),
                'default'   => thr_get_default_option('category_featured_area')
            ),

            array(
                'id'        => 'category_fa_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Featured area layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a layout for your featured area on category templates', 'throne' ),
                'options'   => thr_featured_area_layouts(),
                'default'   => thr_get_default_option('category_fa_layout'),
                'required' => array( 'category_featured_area', 'equals', true )
            ),

            array(
                'id'        => 'category_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Category template layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on category templates', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('category_layout')
            ),

            array(
                'id'        => 'category_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use category sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose default category sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('category_use_sidebar')
            ),

            array(
                'id'        => 'category_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Category standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose standard category sidebar', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('category_sidebar'),
                'required'  => array( 'category_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'category_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Category sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose sticky category sidebar', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('category_sticky_sidebar'),
                'required'  => array( 'category_use_sidebar', '!=', '0' )
            )
        ) )
);

/* Tags */
Redux::setSection( $opt_name , array(
        'icon'      => ' el-icon-tag',
        'title'     => esc_html__( 'Tag Templates', 'throne' ),
        'desc'     => esc_html__( 'Manage settings for tag templates', 'throne' ),
        'fields'    => array(
            array(
                'id'        => 'tag_featured_area',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display featured area', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to enable featured area for tag templates', 'throne' ),
                'default'   => thr_get_default_option('tag_featured_area')
            ),

            array(
                'id'        => 'tag_fa_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Featured area layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a layout for your featured area on tag templates', 'throne' ),
                'options'   => thr_featured_area_layouts(),
                'default'   => thr_get_default_option('tag_fa_layout'),
                'required' => array( 'tag_featured_area', 'equals', true )
            ),

            array(
                'id'        => 'tag_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Tag template layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on tag templates', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('tag_layout')
            ),

            array(
                'id'        => 'tag_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use tags sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose tags sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('tag_use_sidebar')
            ),

            array(
                'id'        => 'tag_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Tags standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose standard sidebar for tags', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('tag_sidebar'),
                'required'  => array( 'tag_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'tag_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Tags sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose sticky sidebar for tags', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('tag_sticky_sidebar'),
                'required'  => array( 'tag_use_sidebar', '!=', '0' )
            )
        ) )
);

/* Author */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-user',
        'title'     => esc_html__( 'Author Templates', 'throne' ),
        'desc'     => esc_html__( 'Manage settings for author templates', 'throne' ),
        'fields'    => array(
            array(
                'id'        => 'author_featured_area',
                'type'      => 'switch',
                'title'     => esc_html__( 'Display featured area', 'throne' ),
                'subtitle'  => esc_html__( 'Check if you want to enable featured area for author templates', 'throne' ),
                'default'   => thr_get_default_option('author_featured_area')
            ),

            array(
                'id'        => 'author_fa_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Featured area layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose a layout for your featured area on author templates', 'throne' ),
                'options'   => thr_featured_area_layouts(),
                'default'   => thr_get_default_option('author_fa_layout'),
                'required' => array( 'author_featured_area', 'equals', true )
            ),

            array(
                'id'        => 'author_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Author template layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on author templates', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('author_layout')
            ),

            array(
                'id'        => 'author_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use author sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose author sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('author_use_sidebar')
            ),

            array(
                'id'        => 'author_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Author standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose standard sidebar for author', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('author_sidebar'),
                'required'  => array( 'author_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'author_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Author sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose sticky sidebar for author', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('author_sticky_sidebar'),
                'required'  => array( 'author_use_sidebar', '!=', '0' )
            )
        ) )
);

/* Archives */

Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-folder-open',
        'title'     => esc_html__( 'Archive Templates', 'throne' ),
        'desc'     => esc_html__( 'Manage settings for other miscellaneous templates like date archives, post format archives, etc...', 'throne' ),
        'fields'    => array(

            array(
                'id'        => 'other_archives_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Archives layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on miscellaneous archive templates', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('other_archives_layout')
            ),

            array(
                'id'        => 'other_archives_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use archives sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose archives sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('other_archives_use_sidebar')
            ),

            array(
                'id'        => 'other_archives_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Archives standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose standard sidebar for archives', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('other_archives_sidebar'),
                'required'  => array( 'other_archives_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'other_archives_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Archives sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose sticky sidebar for archives', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('other_archives_sticky_sidebar'),
                'required'  => array( 'other_archives_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'section_search',
                'type'      => 'section',
                'title'     => esc_html__( 'Search template', 'throne' ),
                'subtitle'  => esc_html__( 'Manage settings for search template', 'throne' ),
                'indent'    => false
            ),

            array(
                'id'        => 'search_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Search template layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on search templates', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('search_layout')
            ),

            array(
                'id'        => 'search_use_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Use search sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose search sidebar type', 'throne' ),
                'options'   => thr_get_sidebar_layouts(),
                'default'   => thr_get_default_option('search_use_sidebar')
            ),

            array(
                'id'        => 'search_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Search standard sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose standard sidebar for search', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('search_sidebar'),
                'required'  => array( 'search_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'search_sticky_sidebar',
                'type'      => 'select',
                'title'     => esc_html__( 'Search sticky sidebar', 'throne' ),
                'subtitle'  => esc_html__( 'Choose sticky sidebar for search', 'throne' ),
                'options'   => $sidebars_list,
                'default'   => thr_get_default_option('search_sticky_sidebar'),
                'required'  => array( 'search_use_sidebar', '!=', '0' )
            ),

            array(
                'id'        => 'section_posts',
                'type'      => 'section',
                'title'     => esc_html__( 'Posts page', 'throne' ),
                'subtitle'  => wp_kses_post( sprintf( __( 'Manage settings for posts page. Note: this settings will apply to a page you are using as "Posts Page" option in your <a href="%s">Settings -> Reading</a> page.', 'throne' ), admin_url( 'options-reading.php' ) ) ),
                'indent'    => false
            ),

            array(
                'id'        => 'posts_page_layout',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Posts page layout', 'throne' ),
                'subtitle'  => esc_html__( 'Choose how to display your posts on your "posts page"', 'throne' ),
                'options'   => thr_get_post_layouts(),
                'default'   => thr_get_default_option('posts_page_layout')
            )
        ) )
);

/* Typography */
Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-fontsize',
        'title'     => esc_html__( 'Typography', 'throne' ),
        'desc'     => esc_html__( 'Manage fonts and typography settings', 'throne' ),
        'fields'    => array(

            array(
                'id'          => 'main_font',
                'type'        => 'typography',
                'title'       => esc_html__( 'Main text font', 'throne' ),
                'google'      => true,
                'font-backup' => false,
                'font-size' => false,
                'color' => false,
                'line-height' => false,
                'text-align' => false,
                'units'       =>'px',
                'subtitle'    => esc_html__( 'This is your main/body text font used for standard text and paragraphs', 'throne' ),
                'default' => thr_get_default_option('main_font'),
                'preview' => array(
                    'always_display' => true,
                    'font-size' => '16px',
                    'text' => 'This is a font used for your main content on the website. Here in MeksHQ, we think that readability is very important part of any WordPress theme. This is actually a rough example of how simple paragraph of text will look like on your website so you have a simple preview here.'
                )
            ),

            array(
                'id'          => 'h_font',
                'type'        => 'typography',
                'title'       => esc_html__( 'Headings font', 'throne' ),
                'google'      => true,
                'font-backup' => false,
                'font-size' => false,
                'color' => false,
                'line-height' => false,
                'text-align' => false,
                'units'       =>'px',
                'subtitle'    => esc_html__( 'This is font used for titles/headings, basically for all H elements', 'throne' ),
                'default' => thr_get_default_option('h_font'),
                'preview' => array(
                    'always_display' => true,
                    'font-size' => '40px',
                    'text' => 'There is no good blog without great readability'
                )

            ),

            array(
                'id'          => 'nav_font',
                'type'        => 'typography',
                'title'       => esc_html__( 'Navigation font', 'throne' ),
                'google'      => true,
                'font-backup' => false,
                'font-size' => false,
                'color' => false,
                'line-height' => false,
                'text-align' => false,
                'units'       =>'px',
                'subtitle'    => esc_html__( 'This is a font used for main navigation in header', 'throne' ),
                'default'     => thr_get_default_option('nav_font'),
                'preview' => array(
                    'always_display' => true,
                    'font-size' => '16px',
                    'text' => 'Home &nbsp;&nbsp;About &nbsp;&nbsp;Blog &nbsp;&nbsp;Contact'
                )

            ),
            array(
                'id' => 'text_upper',
                'type' => 'checkbox',
                'multi' => true,
                'title' => esc_html__( 'Uppercase text', 'throne' ),
                'subtitle' => esc_html__( 'Check if you want to show CAPITAL LETTERS for specific elements', 'throne' ),
                'options' => array(
                    'site-title a' => esc_html__( 'Site title', 'throne' ),
                    'site-desc' => esc_html__( 'Site description', 'throne' ),
                    'nav-menu li a' => esc_html__( 'Main navigation', 'throne' ),
                    'entry-title' => esc_html__( 'Post/Page titles', 'throne' ),
                    'archive-title h1' => esc_html__( 'Archive (category, tag, etc...) titles', 'throne' ),
                    'widget-title' => esc_html__( 'Widget titles', 'throne' ),
                    'footer_wrapper .widget-title' => esc_html__( 'Footer widget titles', 'throne' ),
                    'featured_title_over h2' => esc_html__( 'Featured area titles', 'throne' )
                ),
                'default' => thr_get_default_option('text_upper')
            )

        ) )
);



Redux::setSection( $opt_name , array(
        'type' => 'divide',
        'id' => 'thr-divide',
    ) );

/* Translation Options */

$translate_options[] = array(
    'id' => 'enable_translate',
    'type' => 'switch',
    'switch' => true,
    'title' => esc_html__( 'Enable theme translation?', 'throne' ),
    'default' => thr_get_default_option('enable_translate')
);

$translate_strings = thr_get_translate_options();

foreach ( $translate_strings as $string_key => $string ) {
    $translate_options[] = array(
        'id' => 'tr_'.$string_key,
        'type' => 'text',
        'title' => esc_html( $string['option_title'] ),
        'default' => ''
    );
}

Redux::setSection( $opt_name , array(
        'icon'      => 'el-icon-globe-alt',
        'title' => esc_html__( 'Translation', 'throne' ),
        'desc' => wp_kses_post( __( 'Use these settings to quckly translate or modify strings inside this theme. If you want to remove the word completely instead of modifying it, use "-1" as a value for particular string. <br><strong>Note:</strong> If you are using this theme for multilingual website, you need to disable these options and use multilanguage plugins (such as WPML) or manual translation via .po and .mo files located inside "wp-content/themes/throne/languages" folder.', 'throne' ) ),
        'fields' => $translate_options
    ) );



?>