<?php
/**
 * Get default option by passing option id
 *
 * @param string  $option
 * @return array|mixed|false
 * @param since   1.8
 */

if ( !function_exists( 'thr_get_default_option' ) ):
	function thr_get_default_option( $option ) {


		if ( empty( $option ) ) {
			return false;
		}

		$defaults = array(
			
			/* General */
			'add_sidebars' => 5,
			'default_fimg' => array( 'url' => get_parent_theme_file_uri( '/assets/images/throne_default.png' ) ),
			'pagination_type' => 'pagination',
			'time_ago' => true,
			'time_ago_limit' => 'three_months',
			'ago_before' => false,
			'scroll_to_top' => true,
			'on_single_img_popup' => false,
			'responsive_mode' => true,
			'rtl_mode' => false,
			'section_advanced' => false,
			'image_sizes' => array(
				'thr-fa-half' => 1,
				'thr-fa-third' => 1,
				'thr-fa-quarter' => 1,
				'thr-layout-a' => 1,
				'thr-layout-a-nosid' => 1,
				'thr-layout-b' => 1,
				'thr-layout-c' => 1,
				'thr-layout-c-nosid' => 1,
				'thr-layout-d' => 1,
			),
			
			/* Header */
			'header_main' => 1,
			'header_height' => 82,
			'header_ad' => '',
			'logo' => array( 'url' => get_parent_theme_file_uri( '/assets/images/throne_logo.png' ) ),
			'logo_retina' => array( 'url' => '' ),
			'logo_position' => array( 'padding-bottom' => '12', 'padding-right' => '0' ),
			'logo_custom_url' => '',
			'sticky_header' => true,
			'sticky_header_offset' => 400,
			'sticky_header_logo' => array( 'url' => '' ),
			'sticky_header_logo_retina' => array( 'url' => '' ),
			'color_header_bg' => '#222222',
			'header_bg_opacity' =>  1.0,
			'header_bg_img' =>  array( 'url' => '' ),
			'header_bg_pat' =>  array( 'url' => '' ),
			'color_header_bottom_bg' =>  '#ffffff',
			'color_header_txt' =>  '#ffffff',
			'color_header_acc' =>  '#e23a3e',
			'header_description' =>  false,
			'header_search' =>  true,
			
			/* Body */
			'body_style' =>  'default',
			'color_body_bg' =>  '#f3f3f3',
			'body_bg_opacity' =>  1.0,
			'body_bg_img' =>  array( 'url' => '' ),
			'body_bg_pat' =>  array( 'url' => '' ),
			'color_body_boxed_bg' =>  '#ffffff',
			'body_top_margin' => array('padding-bottom' => '0' ),
			
			/* Content */
			'main_content_style' => 'thr_content_wrapped',
			'color_content_bg' =>  '#ffffff',
			'color_content_acc' =>  '#e23a3e',
			'color_content_txt_h' =>  '#333333',
			'color_content_txt' =>  '#444444',
			'color_content_meta' =>  '#444444',
			'color_content_arch_h' =>  '#333333',
			
			/* Sidebar */
			'sidebar_style' =>  'thr_widget_wrapped',
			'color_sidebar_bg' =>  '#ffffff',
			'color_sidebar_acc' =>  '#e23a3e',
			'color_sidebar_txt_h' =>  '#333333',
			'color_sidebar_txt' =>  '#444444',
			
			/* Footer */
			'footer_display' =>  true,
			'footer_columns' =>  'one-third',
			'color_footer_bg' =>  '#333333',
			'color_footer_acc' =>  '#e23a3e',
			'color_footer_txt_h' =>  '#ffffff',
			'color_footer_txt' =>  '#d8d8d8',
			'enable_copyright' =>  true,
			'footer_copyright' =>  wp_kses_post( __( 'Copyright &copy; {current_year}. Created by <a href="https://mekshq.com" target="_blank">Meks</a>. Powered by <a href="http://www.wordpress.org" target="_blank">WordPress</a>.', 'throne' ) ),
			'enable_footer_menu' =>  true,
			
			/* Main Layouts */
			
			/* Featured Area */
			'lay_fa_title_limit' =>  70,
			'lay_fa_title_more' =>  '...',
			'lay_fa_meta' =>  array(
				'date' => 1,
				'author' => 0,
				'categories' => 0,
				'comments' => 0,
				'views' => 0,
				'rtime' => 0
			),
			'featured_area_hover' =>  true,
			'lay_fa_excerpt_limit' =>  130,
			'lay_fa_excerpt_more' =>  '...',
			'lay_fa_rm' =>  true,
			
			/* Layout A */
			'lay_a_meta' =>  array(
				'date' => 1,
				'author' => 1,
				'categories' => 1,
				'comments' => 1,
				'views' => 0,
				'rtime' => 0
			),
			'lay_a_fimg' =>  true,
			'lay_a_content_type' =>  'content',
			'lay_a_excerpt_limit' =>  '350',
			'lay_a_excerpt_more' =>  '...',
			'lay_a_rm' =>  true,
			'lay_a_share' =>  true,
			'layout_a_share_expand' =>  false,
			'lay_a_ppp' =>  'inherit',
			'lay_a_ppp_num' =>  get_option( 'posts_per_page' ),

			/* Layout B */
			'lay_b_title_limit' =>  '55',
			'lay_b_title_more' =>  '...',
			'lay_b_meta' =>  array(
				'date' => 1,
				'author' => 0,
				'categories' => 0,
				'comments' => 1,
				'views' => 0,
				'rtime' => 0
			),
			'lay_b_excerpt_limit' => '190',
			'lay_b_excerpt_more' =>  '...',
			'lay_b_rm' => true,
			'lay_b_share' => false,
			'layout_b_share_expand' => false,
			'lay_b_ppp' => 'inherit',
			'lay_b_ppp_num' => get_option( 'posts_per_page' ),

			/* Layout C */
			'lay_c_title_limit' => '45',
			'lay_c_title_more' =>  '...',
			'lay_c_meta' =>  array(
				'date' => 1,
				'author' => 0,
				'categories' => 0,
				'comments' => 1,
				'views' => 0,
				'rtime' => 0
			),
			'lay_c_excerpt_limit' => '245',
			'lay_c_excerpt_more' =>  '...',
			'lay_c_rm' =>  true,
			'lay_c_share' =>  false,
			'layout_c_share_expand' =>  false,
			'lay_c_ppp' => 'inherit',
			'lay_c_ppp_num' => get_option( 'posts_per_page' ),
			
			/* Layout D */
			'lay_d_title_limit' => '40',
			'lay_d_title_more' =>  '...',
			'lay_d_meta' =>  array(
				'date' => 1,
				'author' => 0,
				'categories' => 0,
				'comments' => 0,
				'views' => 0,
				'rtime' => 0
			),
			'lay_d_ppp' => 'inherit',
			'lay_d_ppp_num' => get_option( 'posts_per_page' ),


			/* Home */
			'home_featured_area' => true,
			'home_fa_layout' => '3_4',
			'home_fa_posts_order' => 'date',
			'home_fa_posts_cat' => array(),
			'home_fa_posts_tag' => array(),
			'home_fa_posts_manual' => array(),
			'home_fa_posts_manual_force' => '',
			'home_do_not_duplicate' => true,
			'home_pag_fa_hide' => false,
			'home_wa_pos' => 'up',
			'home_pag_wa_hide' => false,
			'home_display_posts' => true,
			'home_page_layout' => 'layout-a',
			'home_posts_order' => 'date',
			'home_posts_cat' => array(),
			'home_posts_tag' => array(),
			'home_posts_manual' => array(),
			'home_posts_manual_force' => array(),
			
			/* Single Post */
			'single_layout' => 'a',
			'single_use_sidebar' => 'right',
			'single_sidebar' => 'thr_default_sidebar',
			'single_sticky_sidebar' => 'thr_default_sticky_sidebar',
			'single_meta' => array(
				'date' => 1,
				'author' => 1,
				'categories' => 1,
				'comments' => 1,
				'views' => 0,
				'rtime' => 0
			),
			'show_fimg' => true,
			'show_fimg_caption' => false,
			'show_share' => true,
			'show_author_box' => true,
			'show_prev_next' => true,
			'prev_next_cat' => false,
			'show_progressbar' => true,
			'show_tags' => true,
			'lightbox' => true,
			'lightbox_content_img' => false,
			'related_limit' => 4,
			'related_type' => 'cat',
			'related_layout' => 'layout-c',
			'related_order' => 'date',
			'related_order' => '0',
			
			/* Page */
			'page_layout' => 'a',
			'page_use_sidebar' => 'right',
			'page_sidebar' => 'thr_default_sidebar',
			'page_sticky_sidebar' => 'thr_default_sticky_sidebar',
			'page_show_fimg' => true,
			'page_show_comments' => true,
			
			/* Categories */
			'category_featured_area' => false,
			'category_fa_layout' => '3_0',
			'category_layout' => 'layout-a',
			'category_use_sidebar' => 'right',
			'category_sidebar' => 'thr_default_sidebar',
			'category_sticky_sidebar' => 'thr_default_sticky_sidebar',

			/* Tags */
			'tag_featured_area' => false,
			'tag_fa_layout' => '3_0',
			'tag_layout' => 'layout-a',
			'tag_use_sidebar' => 'right',
			'tag_sidebar' => 'thr_default_sidebar',
			'tag_sticky_sidebar' => 'thr_default_sticky_sidebar',

			/* Author */
			'author_featured_area' => false,
			'author_fa_layout' => '3_0',
			'author_layout' => 'layout-a',
			'author_use_sidebar' => 'right',
			'author_sidebar' => 'thr_default_sidebar',
			'author_sticky_sidebar' => 'thr_default_sticky_sidebar',

			/* Archives */
			'other_archives_layout' => 'layout-a',
			'other_archives_use_sidebar' => 'right',
			'other_archives_sidebar' => 'thr_default_sidebar',
			'other_archives_sticky_sidebar' => 'thr_default_sticky_sidebar',

			/* Search */
			'search_layout' => 'layout-d',
			'other_archives_use_sidebar' => 'right',
			'other_archives_sidebar' => 'thr_default_sidebar',
			'other_archives_sticky_sidebar' => 'thr_default_sticky_sidebar',
			
			/* Posts page */
			'posts_page_layout' => 'layout-a',
			'other_archives_use_sidebar' => 'right',
			'other_archives_sidebar' => 'thr_default_sidebar',
			'other_archives_sticky_sidebar' => 'thr_default_sticky_sidebar',

			/* Typography */
			'main_font' => array(
				'google' => true,
				'font-family' => 'Roboto',
				'font-weight'  => '300',
				'subsets' => 'latin-ext'
			),
			'h_font' => array(
				'google' => true,
				'font-weight'  => '400',
				'font-family' => 'PT Sans Narrow',
				'subsets' => 'latin-ext'
			),
			'nav_font' => array(
				'google' => true,
				'font-weight'  => '400',
				'font-family' => 'Roboto Condensed',
				'subsets' => 'latin-ext'
			),
			'text_upper' => array(
				'site-title a' => 1,
				'site-desc' => 0,
				'nav-menu li a' => 1,
				'entry-title' => 0,
				'archive-title h1' => 0,
				'widget-title' => 0,
				'footer_wrapper .widget-title' => 1,
				'featured_title_over h2' => 0
			),

			/* Translation Options */
			'enable_translate' => '1',
			
		);


		$defaults = apply_filters( 'thr_modify_default_options', $defaults );

		if ( isset( $defaults[$option] ) ) {
			return $defaults[$option];
		}

		return false;
	}
endif;

?>
