<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
  	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="user-scalable=yes, width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11" />
	<?php wp_head(); ?>
</head>


<body <?php body_class(); ?>>

<?php if($body_bg_img = thr_get_option_media('body_bg_img')): ?>
<div class="body_bg_img">
	<div class="overlay_bg_div"></div>
	<img src="<?php echo esc_url($body_bg_img); ?>" alt="<?php echo esc_attr( get_bloginfo('name') ); ?>"/>
</div>
<?php endif; ?>

<?php if(thr_get_option('body_style') == 'boxed'): ?>
<div class="thr_boxed">
	<div class="thr_boxed_wrapper">
<?php endif; ?>

<?php if(thr_get_option('sticky_header')) : ?>
<div id="sticky_header" class="header-sticky"><div class="content_wrapper"></div></div>
<?php endif; ?>

<header id="header" class="header full_width clearfix">
	<div class="header-main">
		<?php if($header_bg_img = thr_get_option_media('header_bg_img')): ?>
			<div class="header_bg_img"><img src="<?php echo esc_url($header_bg_img); ?>" alt="<?php echo esc_attr( get_bloginfo('name') ); ?>"/></div>
		<?php endif; ?>
		<div class="content_wrapper">		
			<?php $header_layout = thr_get_option('header_main'); ?>
			<?php get_template_part('template-parts/headers/header-main-'.$header_layout); ?>
		</div>

	</div>
	<?php if(in_array($header_layout, array(2,3))): ?>
	<div class="header-bottom">
		<div class="content_wrapper">
			<?php get_template_part('template-parts/headers/header-bottom'); ?>
		</div>
	</div>
	<?php endif; ?>
</header>

<main id="main_content" class="clearfix">