<?php
   $authors_meta = thr_get_page_meta( get_the_ID(), 'authors' );
      
   $args = array(
        'fields'    => array('ID'),
        'order'     => $authors_meta['order'],
        'orderby'   => $authors_meta['orderby'],
        'role__not_in' => $authors_meta['roles'],
        'exclude'   => $authors_meta['exclude'] 
    );

   $authors_query = new WP_User_Query($args); 
   $authors = $authors_query->get_results();
   
?>
<?php if (!empty($authors)) : ?>
	<?php 
		$count = count($authors);

	?>
    <?php foreach ( $authors as $i => $author ) : ?>
        
		<section id="post-author-<?php the_ID(); ?>" class="author-box">

			<div class="data-image">
				<?php echo get_avatar( get_the_author_meta('ID', $author->ID), 112 ); ?>
			</div>
			
			<div class="data-content">
				<h4 class="author-title"><?php the_author_meta('display_name', $author->ID); ?>
				<div class="thr_author_links">
					<a href="<?php echo get_author_posts_url(get_the_author_meta('ID', $author->ID)); ?>" class="thr-view-all"><?php echo __thr('view_all_posts'); ?></a>
					<?php $user_social = thr_get_social(); ?>			
					<?php foreach($user_social as $soc_id => $soc_name): ?>
						<?php if($social_meta = get_the_author_meta($soc_id, $author->ID)) : ?>
							<a href="<?php echo esc_attr( $social_meta ); ?>" target="_blank" class="fa fa-<?php echo esc_attr( $soc_id ) .' soc_squared'; ?>"></a>
						<?php endif; ?>			
					<?php endforeach; ?>					
				</div>
				</h4>

				<?php echo wpautop(get_the_author_meta('description', $author->ID)); ?>

				<div class="clear"></div>
			</div>
			
			<?php if ($count - 1 > $i): ?>
				<div class="authors_divider"></div>
			<?php endif ?>
		
		</section>

	 <?php endforeach; ?>

<?php endif; ?>
